<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "380, 1649, 1650, 1690, 1691, 1692"
blnDateStrings = true
strThisBackPage = "config" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%

'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'LIST SUPPLIERS
'This lists all the suppliers on the system with a
'button next to each to modify or delete the
'record
'-----------------------------------------------

'Paging setup
CONST MAX_RESULTS = 500
CONST PAGE_SIZE = 50
numStartRecord = NumSafe(request.QueryString("numStartRecord"))
If numStartRecord < 1 then numStartRecord = 1

'Pull out all admin logs, ordered by the datestamp
strQuery = LimitSQL("* FROM tblCactuShop" & TABLE_PREFIX & "AdminLog ORDER BY AL_DateStamp DESC", MAX_RESULTS, false)
Call ExecuteRS(strQuery, objRecordSet)
numRecordCount = objRecordSet.RecordCount
If numStartRecord > 1 then
	objRecordSet.Move numStartRecord - 1
End If
numRecordsToDo = Min(PAGE_SIZE, numRecordCount - numStartRecord + 1)


%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
	<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
			</tr>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="660">
			<tr>
				<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
				<td valign="top">
					<table border="0" cellpadding="5" cellspacing="0" width="100%">
						<tr>
							<td><h1><% WriteString("PageTitle_AdminLogs") %></h1></td>
						</tr>
						<tr>
							<td><a href="_adminlog_purge.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_PurgeAdminLogs") %></a></td></tr>
						<tr><td>
							<table border="0" cellpadding="3" cellspacing="0" width="100%">
								<tr>
									<td class="small bold dull" width="65%"></td>
									<td class="small bold dull" width="30%"><% WriteString("ContentText_DateTime") %></td>
									<td class="small bold dull" width="5%">&nbsp;</td>
								</tr>
								<%
								if numRecordCount <> 0 then
									'loop through each supplier
									do while numLoopCount < numRecordsToDo
										'Set the background colour
										numLoopCount = numLoopCount + 1
										strBgColour = IIf(numLoopCount mod 2 = 0, "#EEEEEE", "#DDDDDD")
										
										'Write out the table row
										strClass = "small" 
										
										'Get out the record details
										AL_ID = objRecordSet("AL_ID")
										AL_Description = objRecordSet("AL_Description")
										AL_DateStamp = objRecordSet("AL_DateStamp")
										%>

										<tr bgcolor="<% =strBgColour %>">
											<td class="<% =strClass %>"><%= AL_Description %></a></td>
											<td class="<% =strClass %>"><%= FormatDate(AL_DateStamp, strDateAndTimeFormat) %></td>
											<td align="right" class="small"><a href="_adminlog_view.asp?<%= objCactuSession.QS %>AL_ID=<%= AL_ID %>"><img src="images/modify.gif" border="0" alt="<% WriteSafeString("ImageLabel_ViewThisLog") %>" title="<% WriteSafeString("ImageLabel_ViewThisLog") %>" /></a></td>
										</tr>		
										<%
										'remove on to the next record
										objRecordSet.moveNext
									loop
								
								else 
									'There are no records, display an explanation
									%>
									<tr>
										<td colspan="5"><br /><% WriteString("ContentText_NoSuppliersWereFound") %><br /><br /></td>
									</tr>
									<%
								end if
								objRecordSet.Close %>
							</table>
						</td></tr>
						
						<tr><td class="paging">
							<%
							If numStartRecord > 1 then
								response.Write "<a href=""?" & objCactuSession.QS & "numStartRecord=" & numStartRecord - PAGE_SIZE & """>&#171; " &  GetString("ContentText_Previous") & "</a> "
							Else 
								response.Write "&#171; " & GetString("ContentText_Previous") & " "
							End If
							For i = 1 to numRecordCount Step PAGE_SIZE
								numPage = numPage + 1
								If i = numStartRecord then
									response.Write numPage & " "
								Else
									response.Write "<a href=""?" & objCactuSession.QS & "numStartRecord=" & i & """>" &  numPage & "</a> "
								End If
							Next
							If numStartRecord + numRecordsToDo - 1 < numRecordCount then
								response.Write "<a href=""?" & objCactuSession.QS & "numStartRecord=" & numStartRecord + PAGE_SIZE & """>" &  GetString("ContentText_Next") & " &#187;</a> "
							Else 
								response.Write GetString("ContentText_Next") & " &#187; "
							End If							
							%>
						</td></tr>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html>
<%
Call EndPage()
%>
