<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "325, 327, 361, 544, 545, 556, 550, 552, 553, 554, 555, 556, 557, 560, 832, 1168, 1213, 1234, 1288, 1289, 1290, 1292, 1487, 1488, 1489, 1674, 1854, 1855, 1856, 1857, 1868, 1859, 1860, 1861, 1862, 1863, 1864, 1865, 1866, 1867, 1868, 1936, 1937, 1938"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<!--#include file="includes/back_productpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'COMBINATIONS
'This is the start page for creating combinations
'for a certain product. 
'-----------------------------------------------

'-----------------------------------------------
'FAST-ADD NEW OPTION GROUP AND OPTIONS
'-----------------------------------------------
OPTG_BackendName = request.Form("OPTG_BackendName")
If OPTG_BackendName <> "" then
	OPT_Names = request.Form("OPT_Names")
	OPTG_OptionDisplayType = request.Form("OPTG_OptionDisplayType")
	
	'Only precede if we're doing checkbox or we have options
	If OPTG_OptionDisplayType = "c" or OPT_Names <> "" then
		
		'Insert the option group
		strQuery="INSERT INTO tblCactuShop" & TABLE_PREFIX & "OptionGroups (OPTG_Name" & numLanguageID & ", OPTG_BackendName, OPTG_OptionDisplayType, OPTG_DefOrderByValue) VALUES (" &_
			"'" & SQLSafe(OPTG_BackendName) & "', " &_
			"'" & SQLSafe(OPTG_BackendName) & "', " &_
			"'" & SQLSafe(OPTG_OptionDisplayType) & "', " &_
			"0)"
		Call ExecuteNonQuery(strQuery)

		'Get out the ID
		strQuery = "SELECT OPTG_ID FROM tblCactuShop" & TABLE_PREFIX & "OptionGroups WHERE OPTG_BackendName='" & SQLSafe(OPTG_BackendName) & "' ORDER BY OPTG_ID DESC"
		Call ExecuteRS(strQuery, objRecordSet)
		OPTG_ID = objRecordSet("OPTG_ID")
		objRecordSet.close
		
		'Insert the options
		IF OPTG_OptionDisplayType = "c" then
			'Add 'yes' checkbox. It has the same names
			strQuery="INSERT INTO tblCactuShop" & TABLE_PREFIX & "Options (OPT_Name" & numLanguageID & ", OPT_OptionGroupID, OPT_CheckBoxValue) VALUES (" &_
				"'" & SQLSafe(OPTG_BackendName) & "', " &_
				OPTG_ID & ", " &_
				"'y')"
			Call ExecuteNonQuery(strQuery)
			
			'Add 'no' checkbox'. Blank for names
			strQuery="INSERT INTO tblCactuShop" & TABLE_PREFIX & "Options (OPT_Name" & numLanguageID & ", OPT_OptionGroupID, OPT_CheckBoxValue) VALUES (" &_
				"'', " &_
				OPTG_ID & ", " &_
				"'n')"
			Call ExecuteNonQuery(strQuery)
		
		Else
			'Insert an option line for each
			aryOptionNames = Split(OPT_Names, vbcrlf)
			For Each OPT_Name in aryOptionNames
				If OPT_Name <> "" then
					numOptionCount = numOptionCount + 1
					strQuery="INSERT INTO tblCactuShop" & TABLE_PREFIX & "Options (OPT_Name" & numLanguageID & ", OPT_OptionGroupID, OPT_CheckBoxValue, OPT_DefOrderByValue) VALUES (" &_
						"'" & SQLSafe(OPT_Name) & "', " &_
						OPTG_ID & ", " &_
						"'', " &_
						numOptionCount * 10 & ")"
					Call ExecuteNonQuery(strQuery)
				End If
			Next
		
		End If
		
		'Now we need to redirect so refreshes don't add them again
		Call EndPage()
		response.Redirect("_combinations_set.asp?" & strSessionQS & Replace(strProductQS, "&amp;", "&"))
	End If
End If

'-----------------------------------------------
'VERSION INFORMATION
'Form for basic version information
'-----------------------------------------------
'Check to see if a base version exists - this will hold base info if we have it
strQuery = "SELECT * FROM (tblCactuShop" & TABLE_PREFIX & "TaxRates INNER JOIN tblCactuShop" & TABLE_PREFIX & "Versions ON tblCactuShop" & TABLE_PREFIX & "TaxRates.T_ID = tblCactuShop" & TABLE_PREFIX & "Versions.V_Tax) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Versions.V_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID WHERE V_ProductID = " & P_ID & " AND V_Type IN ('o','b')"
Call ExecuteRS(strQuery, objRecordSet)
If not (objRecordSet.BOF And objRecordSet.EOF) then
	blnEditing = true
	V_ID = objRecordSet("V_ID")
	V_CodeNumber = objRecordSet("V_CodeNumber")
	V_Price = objRecordSet("V_Price")
	V_Weight = objRecordSet("V_Weight")
	V_RRP = objRecordSet("V_RRP")
	V_Tax = objRecordSet("V_Tax")
	V_Quantity = objRecordSet("V_Quantity")
	V_QuantityWarnLevel = objRecordSet("V_QuantityWarnLevel")
	V_DownloadType = objRecordSet("V_DownloadType")
	V_Live = objRecordSet("V_Live")
	T_Taxrate = objRecordSet("T_Taxrate")
	strVersionName = objRecordSet("V_Name" & CInt(numLanguageID))
	If strVersionName & "" = "" then
		numCount = 0
		for numCount = 1 to numTotalLanguages
			strVersionName = objRecordSet("V_Name" & CStr(numCount))
			If strVersionName & "" <> "" then exit for
		next
	end if		
Else
	blnEditing = false
end if
objRecordSet.Close
	
'-----------------------------------------------
'CREATE INDIVIDUAL COMBINATIONS?
'-----------------------------------------------	
If blnEditing then
	'Check to see if we've got any versions that respresent a combination - if so,
	'then option group selection can't change - we're editing
	strQuery = "SELECT V_ID FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_ProductID = " & P_ID & " AND V_Type = 'c'"
	Call ExecuteRS(strQuery, objRecordSet)
	blnIndividual = not (objRecordSet.BOF And objRecordSet.EOF)
	objRecordSet.Close
End If

If NumSafe(V_QuantityWarnLevel) = 0 then
	strStockTracking = "n"
	V_Quantity = 0
Else
	strStocktracking = "y"
End If


'Find out if there are any option groups/options - if there are we skip a load out
strQuery = "SELECT * FROM ((tblCactuShop" & TABLE_PREFIX & "OptionGroups AS og INNER JOIN tblCactuShop" & TABLE_PREFIX & "Options AS o ON og.OPTG_ID = o.OPT_OptionGroupID) LEFT JOIN (SELECT * FROM tblCactuShop" & TABLE_PREFIX & "ProductOptionLink WHERE P_OPT_ProductID = " & P_ID & ") AS po ON o.OPT_ID = po.P_OPT_OptionID) LEFT JOIN (SELECT * FROM tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink WHERE P_OPTG_ProductID = " & P_ID & ") AS pog ON og.OPTG_ID = pog.P_OPTG_OptionGroupID ORDER BY pog.P_OPTG_OrderByValue, og.OPTG_DefOrderByValue, og.OPTG_ID, P_OPT_OrderByValue, OPT_DefOrderByValue"
Call ExecuteRS(strQuery, objRecordSet)
blnGotNoOptions = (objRecordSet.BOF And objRecordSet.EOF)
objRecordSet.Close

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
		<!--#include file="includes/functions_jscript.asp"-->
	</head>

<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
	<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
	<td valign="top">
	<%= strProductHTML %>
	<form action="_combinations_create.asp" method="post" name="verform" onsubmit="return Validate()">
	<%= objCactuSession.Form %>
	<%= strProductForm %>
	<input type="hidden" name="origV_Price" value="<%= V_Price %>" />
	<input type="hidden" name="origV_Weight" value="<%= V_Weight %>" />

	<table border="0" cellpadding="5" cellspacing="0" width="100%">
	
	<%
	'======================================================
	'BASIC INFORMATION FORM
	'======================================================
	%>		
	<tr>
		<td colspan="2"><h1><% WriteString("ContentText_AssignToOptionGroups") %></h1></td>
	</tr>
	
	<% if not blnGotNoOptions then %>
	<tr>
		<td colspan="2" class="bold"><% WriteString("ContentText_OptionInformation") %></td>
	</tr><% 
	end if
	
	'If we're editing existing setup and they're not combinations, then link
	If blnEditing and not blnIndividual and not blnGotNoOptions Then %>
		<tr>
			<td colspan="2" class="bold">
				<input type="hidden" name="V_CodeNumber" value="<%= V_CodeNumber %>" />
				<input type="hidden" name="V_Price" value="<%= V_Price %>" />
				<input type="hidden" name="V_RRP" value="<%= V_RRP %>" />
				<input type="hidden" name="V_Weight" value="<%= V_Weight %>" />
				<input type="hidden" name="V_Quantity" value="<%= V_Quantity %>" />
				<input type="hidden" name="V_QuantityWarnLevel" value="<%= V_QuantityWarnLevel %>" />
				<input type="hidden" name="V_Tax" value="<%= V_Tax %>" />
			
				<table border="0" cellpadding="3" cellspacing="0" width="100%" ID="Table2">
					<tr>
						<td width="30%" class="small bold dull">&nbsp;</td>
						<td width="20%" class="small bold dull"><% WriteString("ContentText_CodeNo") %></td>
						<td width="10%" class="small bold dull"><% WriteString("ContentText_Qty") %></td>
						<td width="15%" align="right" class="small bold dull"><% WriteString("ContentText_Price") %></td>
						<td width="15%" align="right" class="small bold dull"><% WriteString("ContentText_Tax") %></td>
						<td width="10%" class="small bold dull">&nbsp;</td>
					</tr>
					<%
					numPrice = Round(V_Price, 2)
					numTax = T_Taxrate
					strBgColour = "#EEEEEE"
					strBgColour2 = "#FFAAAA"
					If V_Quantity <= 0 AND V_QuantityWarnLevel <> 0 Then strBgColour = strBgColour2
					If V_Live = "y" Then strTempClass = "small bold" Else strTempClass = "small"
					%>					
					<tr bgcolor="<% =strBgColour %>">
						<td class="<% =strTempClass %>"><% =strVersionName %></td>
						<td class="small"><%= V_CodeNumber %></td>
						<td class="small"><%= V_Quantity %> (<%= V_QuantityWarnLevel %>)</td>
						<td align="right" class="small bold"><%= objDefaultCurrency.Display(numPrice, false, false) %></td>
						<td align="right" class="small"><% =numTax %></td>
						<td align="right" class="small bold"><a href="_modify_version.asp?<%= objCactuSession.QS %>V_ID=<%= V_ID %>&amp;P_ID=<%= P_ID %>"><img alt="<% WriteSafeString("ImageLabel_EditThisVersion") %>" title="<% WriteSafeString("ImageLabel_EditThisVersion") %>" src="images/b_version.gif" border="0" /></a></td>
					</tr>
				</table>
			</td>
		</tr>
	<% elseif not blnGotNoOptions then %>
		<tr>
			<td colspan="2">
				<table cellpadding="5" cellspacing="0" width="100%">
					<%
					' Code number and stock aren't set if we're editing individual items,
					' because these come from the DB on the next page
					If not blnIndividual then %>
						<tr>
							<td class="small"><% WriteString("FormLabel_CodeNumer") %></td>
							<td><input type="text" name="V_CodeNumber" size="25" value="<%= V_CodeNumber %>" /></td>
						</tr>
						<tr>
							<td valign="top"><% WriteString("FormLabel_StockTracking") %></td>
							<td><input type="checkbox" name="strStockTracking" onclick="javascript:ToggleStock();" size="5" value="y"<%= IIf(strStockTracking = "y", " checked=""checked""", "") %> ID="Checkbox3"/><span class="small"><% WriteString("ContentText_StockTrackingText") %></span></td>
						</tr>	
						<tr>
							<td valign="top"></td>
							<td><span class="small"><% WriteString("FormLabel_StockQuantity") %>&nbsp;<input type="text" name="V_Quantity" size="5" value="<% =V_Quantity %>" />&nbsp;<% WriteString("FormLabel_WarningLevel") %>&nbsp;<input type="text" name="V_QuantityWarnLevel" size="5" value="<% =V_QuantityWarnLevel %>" /></span></td>
						</tr>					
					<% else %>
						<tr>
							<td class="small" colspan="2"><% WriteString("ContentText_EditCombinations") %></td>
						</tr>
								
					<% end if %>

					<tr>
						<td class="small"><% If GetAppVar("pricesinctax") = "y" then WriteString("FormLabel_PriceIncTax") Else WriteString("FormLabel_PriceExTax") %></td>
						<td><span><% =objDefaultCurrency.Symbol %></span><input type="text" name="V_Price" size="5" value="<%= V_Price %>" /></td>
					</tr>
					<tr>
						<td class="small"><% WriteString("FormLabel_RRP") %></td>
						<td><span><% =objDefaultCurrency.Symbol %></span><input type="text" name="V_RRP" size="5" value="<%= V_RRP %>" /></td>
					</tr>
					<tr>
						<td class="small"><% WriteString("FormLabel_Weight") %> (<% =GetAppVar("weightunit") %>)</td>
						<td><input type="text" name="V_weight" size="5" value="<%= V_Weight %>" /></td>
					</tr>		
					<tr>
						<td class="small"><% WriteString("FormLabel_TaxBand") %></td>
						<td><%
						'-----------------------------------------------
						'Build tax rate dropdown
						'-----------------------------------------------
						strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "TaxRates"
						Call ExecuteRS(strQuery, objRecordSet)
						strMenu="<select Name=""V_Tax"" size=""1"">" & vbcrlf
						do while not objRecordSet.EOF
							strSelectPrint = ""
							numDBValue = objRecordSet("T_ID")
							If IsNull(numDBValue) Then numDBValue = ""
							if CStr(V_Tax) = CStr(numDBValue) then strSelectPrint = "SELECTED "
							strMenu = strMenu & "<option " & strSelectPrint & "value=""" & numDBValue & """>" & Lcase(GetString("FormLabel_TaxBand")) & " " & numDBValue & "&nbsp;&nbsp;-&nbsp;&nbsp;" & objRecordSet("T_TaxRate") & "%</option>" & vbcrlf
							objRecordSet.movenext
						loop
						strMenu = strMenu & "</select>"
						response.write(strMenu)
						objRecordSet.Close
						%><span></span></td>
					</tr>
				</table>
			</td>
		</tr>
	<% end if %>

	<%
	'======================================================
	'OPTIONS AND OPTION GROUPS SELECTION
	'======================================================
	If not blnIndividual and not blnGotNoOptions then
		
		strQuery = "SELECT * FROM ((tblCactuShop" & TABLE_PREFIX & "OptionGroups AS og INNER JOIN tblCactuShop" & TABLE_PREFIX & "Options AS o ON og.OPTG_ID = o.OPT_OptionGroupID) LEFT JOIN (SELECT * FROM tblCactuShop" & TABLE_PREFIX & "ProductOptionLink WHERE P_OPT_ProductID = " & P_ID & ") AS po ON o.OPT_ID = po.P_OPT_OptionID) LEFT JOIN (SELECT * FROM tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink WHERE P_OPTG_ProductID = " & P_ID & ") AS pog ON og.OPTG_ID = pog.P_OPTG_OptionGroupID ORDER BY pog.P_OPTG_OrderByValue, og.OPTG_DefOrderByValue, og.OPTG_ID, P_OPT_OrderByValue, OPT_DefOrderByValue"
		Call ExecuteRS(strQuery, objRecordSet)
		%>
		<tr>
			<td colspan="2"><hr /></td>
		</tr>
		<tr>
			<td colspan="2" class="bold"><% WriteString("ContentText_Options") %></td>
		</tr>
		<tr>
			<td width="100%" colspan="2">
			
			
      <script language="JavaScript" type="text/javascript">
      <!-- 				
      function ToggleStock() {
        if (document.verform.strStockTracking.checked==true) {
          ShowStock();
          }
        else
          {
          HideStock();
          }
        return false;
          }
      function ShowStock() {
          document.verform.V_Quantity.disabled = false;
          document.verform.V_QuantityWarnLevel.disabled = false;
          }
      function HideStock() {
          document.verform.V_Quantity.disabled = true;
          document.verform.V_QuantityWarnLevel.disabled = true;
          }
      function Validate() {
          if (verform.V_CodeNumber.value == "")
          {
            alert("<%=GetString("FormLabel_CodeNumer") & " " & GetString("ContentText_IsBlank")%>.");
            verform.V_CodeNumber.focus();
            return (false);
          }
          else if (verform.V_Price.value == "")
          {
            alert("<%=GetString("ContentText_Price") & " " & GetString("ContentText_IsBlank")%>.");
            verform.V_Price.focus();
            return (false);
          }
          else if (verform.strStockTracking.checked==true && verform.V_QuantityWarnLevel.value  == "")
          {
            alert("<%=GetString("ContentText_ErrorStockTrackingWarnLevel")%>");
            verform.V_QuantityWarnLevel.focus();
            return (false);
          }
          return (true);
          }
      -->					
      </script>

				<table cellpadding="5" cellspacing="0" width="100%" border="0">
					<tr>
						<td colspan="2" class="small"><% WriteString("ContentText_TickOptions") %></td>
					</tr>
					
					<tr>
						<td colspan="2">
							<table cellpadding="1" cellspacing="0" width="450" border="0">
								<tr>
									<td width="30">&nbsp;</td>
									<td width="220" class="small bold dull" align="center">&nbsp;</td>
									<td width="30" class="small bold dull" align="center"><% WriteString("ContentText_OptionDefault") %></td>
									<td width="60" class="small bold dull" align="center"><% WriteString("ContentText_Price") %></td>
									<td width="60" class="small bold dull" align="center"><% WriteString("FormLabel_Weight") %></td>
									<td width="50" class="small bold dull" align="right"><% WriteString("ContentText_OptionOrder") %></td>
								</tr>
								<% 
								numGroupCount = 0
								numOptionCount = 0 
								Do While not objRecordSet.EOF 
									OPT_ID = objRecordSet("OPT_ID")
									OPTG_ID = objRecordSet("OPTG_ID")
									OPT_CheckBoxValue = objRecordSet("OPT_CheckBoxValue")
									
									'These link records can all be null. If they are, set them blank
									If blnOptionGroupChecked then
										P_OPTG_OrderbyValue = objRecordSet("P_OPTG_OrderByValue") & ""
									Else
										P_OPTG_OrderByValue = NumSafe(objRecordSet("OPTG_DefOrderByValue"))
									End If
									P_OPT_OrderbyValue = objRecordSet("P_OPT_OrderByValue") & ""
									P_OPT_PriceChange = objRecordSet("P_OPT_PriceChange") & ""
									P_OPT_WeightChange = objRecordSet("P_OPT_WeightChange") & ""
									P_OPT_Selected = objRecordSet("P_OPT_Selected") & ""
									
									strOptionName = objRecordSet("OPT_Name" & Cstr(numLanguageID))
									strOptionGroupName = objRecordSet("OPTG_BackendName")
									
									blnOptionGroupChecked = not isnull(objRecordSet("P_OPTG_OptionGroupID"))
									blnOptionChecked = not isnull(objRecordSet("P_OPT_OptionID"))
									
								
									If OPTG_ID <> numLastGroupID then
										numGroupCount = numGroupCount + 1
										numOptionCount = 0					
															
										'Do spacer if it's not the first
										If numGroupCount > 1 then %>
											</table></td></tr>
										<% end if 
										
										strBgColor = "#EEEEEE"
										%>
										<tr><td colspan="6" class="small"><hr /></td></tr>
										<tr>
											<td class="small"><input<% If blnOptionGroupChecked then response.Write " checked=""checked""" %> type="checkbox" name="strOptionGroups" value="<%=OPTG_ID%>" onclick="ToggleItem(document.getElementById('optionset<%= OPTG_ID %>'));" />
												<% 'send all the names 
												For numCount = 1 to numTotalLanguages %>
													<input type="hidden" name="<%=OPTG_ID%>strOptionGroupName<%=numCount %>" value="<%= objRecordSet("OPTG_Name" & numCount) %>" />	
												<% next %>							
											</td>
											<td class="small bold" colspan="4"><a href="_modify_optiongroup.asp?<%= objCactuSession.QS %>OPTG_ID=<%= OPTG_ID %>"><%= strOptionGroupName %></a></td>
											<td class="small" align="right"><input type="text" name="<%= OPTG_ID%>numGroupOrder" size="2" value="<%= P_OPTG_OrderbyValue %>" /></td>
										</tr>
										
										<tr id="optionset<%= OPTG_ID %>">
											<td colspan="6"><table cellpadding="0" cellspacing="0" width="450" border="0">
										<%
									
										'Shrink down the checkbox?
										If not blnOptionGroupChecked then
											strItemsToToggle = strItemsToToggle & "," & OPTG_ID
										end if
										
															
									End If
									
									'Write out option
									If OPT_CheckBoxValue <> "n" then
										numOptionCount = numOptionCount + 1
										
										'If teh option group isn't set, then set up 
										'defaults for all the values
										If not blnOptionGroupChecked then
											blnOptionChecked = true
											P_OPT_Selected = IIf(numOptionCount = 1, "y", "n")
											P_OPT_PriceChange = NumSafe(objRecordSet("OPT_DefPriceChange"))
											P_OPT_WeightChange = NumSafe(objRecordSet("OPT_DefWeightChange"))
											P_OPT_OrderbyValue = NumSafe(objRecordSet("OPT_DefOrderByValue"))
										end if										
										%>
										<tr>
											<td width="30" class="small">&nbsp;</td>
											<td width="230" class="small" align="left"><% if OPT_CheckBoxValue = "" then %>
													<input<% If blnOptionChecked then response.Write " checked=""checked""" %> type="checkbox" name="<%=OPTG_ID%>strOptions" value="<%= OPT_ID%>" />&nbsp;
												<% else 
													'Don't write out checkbox if this is the 'checkbox' type - as it
													'has to be selected so do as hidden %>
													<input type="hidden" name="<%=OPTG_ID%>strOptions" value="<%= OPT_ID%>" />&nbsp;
												<% end if %>&nbsp;<a href="_modify_option.asp?<%= objCactuSession.QS %>OPT_ID=<%= OPT_ID %>"><%= strOptionName %></a>&nbsp;</td>
											
											<% 'If this is a checkbox type, then the default selected 'should be a checkbox %>
											<td width="30" class="small" align="center">
												<% If OPT_CheckBoxValue = "y" then %>
													<input type="checkbox" name="<%=OPTG_ID%>numSelected" value="<%=OPT_ID%>"<% If P_OPT_Selected = "y" then response.Write " checked=""checked""" %> />
												<% else %>
													<input type="radio" name="<%=OPTG_ID%>numSelected" value="<%=OPT_ID%>"<% If P_OPT_Selected = "y" then response.Write " checked=""checked""" %> />
												<% end if %>
											</td>
											
											<td width="60" class="small" align="center"><input type="text" name="<%=OPT_ID%>numPriceChange" size="2" value="<%= P_OPT_PriceChange %>" /></td>
											<td width="60" class="small" align="center"><input type="text" name="<%=OPT_ID%>numWeightChange" size="2" value="<%= P_OPT_WeightChange %>" /></td>
											
											<% 'If this is a checkbox type, then ordering isn't needed %>
											<td width="40" class="small" align="right">
												<% If OPT_CheckBoxValue = "y" then %>
													<input type="hidden" name="<%=OPT_ID%>numOptionOrder" size="2" value="0" />(N/A)
												<% else %>
													<input type="text" name="<%=OPT_ID%>numOptionOrder" size="2" value="<%= P_OPT_OrderbyValue %>" />
												<% end if %>
											</td>
										</tr>
										
										<% 'send all the names 
										For numCount = 1 to numTotalLanguages %>
											<input type="hidden" name="<%=OPT_ID%>strOptionName<%=numCount %>" value="<%= objRecordSet("OPT_Name" & numCount) %>" />	
										<% next %>
										
									<% else %>
									
										<input type="hidden" name="<%=OPTG_ID%>strOptions" value="<%= OPT_ID%>" />	
										
									<% end if %>
									
									<%
									numLastGroupID = OPTG_ID
									objRecordSet.MoveNext
								Loop
								objRecordSet.Close
								%>
								</table>
								
								<%' Write code to toggle items 
								If strItemsToToggle <> "" then 
									aryItemsToToggle = split(strItemsToToggle, ",")
									response.write "<script language=""javascript"">" & vbcrlf
									for each strItemToToggle in aryItemsToToggle
										If strItemToToggle <> "" then
											response.write "ToggleItem(document.getElementById('optionset" & strItemToToggle & "'));" & vbcrlf
										end if
									next
									response.write "</script>" & vbcrlf
								end if %>
								
								</td></tr>
								<tr><td colspan="6"><hr /></td></tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	<% end if %>
	

	<% 
	'======================================================
	'CREATE COMBINATIONS
	'======================================================
	If blnIndividual and not blnGotNoOptions then 
		'If we're editing individual combos then you can't choose - you've got
		'to do combinations %>
		<input type="hidden" name="strCreateCombinations" value="y" /><% 
	elseif not blnGotNoOptions then %>
		<tr>
			<td colspan="2" class="bold"><input type="checkbox" name="strCreateCombinations" value="y"<% If blnIndividual then response.Write " checked=""checked""" %> /><% WriteString("ContentText_CreateCombinations") %></td>
		</tr>
		<tr>
			<td class="small" width="100%" colspan="2"><% WriteString("ContentText_CreateCombinationsText") %></td>
		</tr><%
	end if 
	
	If not blnGotNoOptions then %>
		<tr>
			<td>&nbsp;</td>
			<td align="right"><input type="submit" name="btnSubmit" id="submit" value="<% WriteString("FormButton_Submit") %>" /></td>
		</tr><%
	end if 
	
	'======================================================
	'LIST EXISTING COMBINATIONS 
	'======================================================
	if blnIndividual then 
		'List all combinations - Pull out all the versions for this product
		strVersionsOrderBy = GetAppVar("sortversions")
		If strProductOrderVersionsBy <> "" then strVersionsOrderBy = strProductOrderVersionsBy
		If strVersionsOrderBy = "" then strVersionsOrderBy = "V_Name"
		if strVersionsOrderBy = "V_Name" or strVersionsOrderBy = "V_Desc" then strVersionsOrderBy = strVersionsOrderBy & CInt(numLanguageID)
		strQuery = "SELECT * FROM (tblCactuShop" & TABLE_PREFIX & "TaxRates INNER JOIN tblCactuShop" & TABLE_PREFIX & "Versions ON tblCactuShop" & TABLE_PREFIX & "TaxRates.T_ID = tblCactuShop" & TABLE_PREFIX & "Versions.V_Tax) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Versions.V_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID WHERE V_Type = 'c' AND P_ID=" & P_ID & " ORDER BY " & strVersionsOrderBy
		Call ExecuteRS(strQuery, objRecordSet) %>
		<tr>
			<td colspan="2">
				<table border="0" cellpadding="3" cellspacing="0" width="100%" ID="Table1">
					<tr>
						<td colspan="5" class="bold"><a name="versions"></a><% WriteString("ContentText_CurrentCombinationsOfProduct") %></td>
					</tr>
					<tr>
						<td width="30%" class="small bold dull">&nbsp;</td>
						<td width="20%" class="small bold dull"><% WriteString("ContentText_CodeNo") %></td>
						<td width="10%" class="small bold dull"><% WriteString("ContentText_Qty") %></td>
						<td width="15%" align="right" class="small bold dull"><% WriteString("ContentText_Price") %></td>
						<td width="15%" align="right" class="small bold dull"><% WriteString("ContentText_Tax") %></td>
						<td width="10%" class="small bold dull">&nbsp;</td>
					</tr>
					<%
					'-----------------------------------------------
					'GENERATE VERSIONS TABLE						
					'-----------------------------------------------
					strPath = Server.MapPath(GetAppVar("uploadsfolder") & "images_versions")
					Do Until objRecordSet.EOF 
						numBgCount = numBgCount + 1
						numPrice = Round(objRecordSet("V_Price"), 2)
						numTax = objRecordSet("T_Taxrate")
						If numBgCount mod 2 = 0 then
							strBgColour = "#EEEEEE"
							strBgColour2 = "#FFAAAA"
						Else
							strBgColour = "#DDDDDD"
							strBgColour2 = "#FFBBBB"
						End If
						If objRecordSet("V_Quantity") <= 0 AND objRecordSet("V_QuantityWarnLevel") <> 0 Then strBgColour = strBgColour2
						If objRecordSet("V_Live") = "y" Then strTempClass = "small bold" Else strTempClass = "small"
						
						strVersionName = objRecordSet("V_Name" & CInt(numLanguageID))
						If strVersionName & "" = "" then
							numCount = 0
							for numCount = 1 to numTotalLanguages
								strVersionName = objRecordSet("V_Name" & CStr(numCount))
								If strVersionName & "" <> "" then exit for
							next
						end if		
						%>					
						<tr bgcolor="<% =strBgColour %>">
							<td class="<% =strTempClass %>"><% =strVersionName %></td>
							<td class="small"><% =objRecordSet("V_CodeNumber") %></td>
							<td class="small"><% =objRecordSet("V_Quantity") %> (<% =objRecordSet("V_QuantityWarnLevel") %>)</td>
							<td align="right" class="small bold"><% =objDefaultCurrency.Display(numPrice, false, false) %></td>
							<td align="right" class="small"><% =numTax %></td>
							<td align="right" class="small bold"><a href="_modify_version.asp?<%= objCactuSession.QS %>V_ID=<% =objRecordSet("V_ID") %>&amp;P_ID=<% =P_ID %>"><img alt="<% WriteSafeString("ImageLabel_EditThisVersion") %>" title="<% WriteSafeString("ImageLabel_EditThisVersion") %>" src="images/b_version.gif" border="0" /></a></td>
						</tr><%
						objRecordSet.MoveNext
					Loop
					objRecordSet.Close
					%>
				</table>
			</td>		
		</tr>
	<% end if
		
	'======================================================
	'SHOW COMBINATIONS UPDATE OPTIONS
	'======================================================
	If blnIndividual then %>
		<tr><td colspan="2"><hr /></td></tr>
		<tr>
			<td colspan="2" class="bold"><% WriteString("ContentText_UpdateCombinations") %></td>
		</tr>
		<tr>
			<td colspan="2">
				<table cellpadding="0" cellspacing="0" width="100%" border="0">	
					<tr>
						<td colspan="2" class="small"><% WriteString("ContentText_UpdateCombinationsText") %><br /><br /><a href="_combinations_process.asp?<%= objCactuSession.QS %>strCallMode=upd&amp;V_ProductID=<%= P_ID %>&amp;<%= strProductQS %>"><% WriteString("ContentText_UpdateCombinationsLink") %></a></td>
					</tr>
				</table>
			</td>
		</tr><%		
	end if

	'======================================================
	'SHOW COMBINATIONS DELETE
	'======================================================
	If blnIndividual or blnEditing then %>
		<tr><td colspan="2"><hr /></td></tr>
		<tr>
			<td colspan="2" class="bold"><% WriteString("ContentText_DeleteCombinations") %></td>
		</tr>
		<tr>
			<td colspan="2">
				<table cellpadding="0" cellspacing="0" width="100%" border="0">	
					<tr>
						<td colspan="2" class="small"><% WriteString("ContentText_DeleteCombinationsText") %><br /><br /><a href="_combinations_process.asp?<%= objCactuSession.QS %>strCallMode=del&amp;V_ProductID=<%= P_ID %>&amp;<%= strProductQS %>"><% WriteString("ContentText_DeleteCombinationsLink") %></a></td>
					</tr>
				</table>
			</td>
		</tr><%		
	end if %>
	</table>
	</form>
	<% If not blnIndividual and not blnGotNoOptions then %>
	<script language="JavaScript" type="text/javascript">
		<% if strStockTracking = "y" then %>ShowStock();<% else %>HideStock();<% end if %>
	</script>
	<% end if
	'======================================================
	'OPTIONS FAST-ADD
	'======================================================
	If not blnIndividual then %>
		<form action="_combinations_set.asp" method="post">
			<%= objCactuSession.Form %>
			<%= strProductForm %>
			<table cellpadding="5" cellspacing="0" width="100%">
				<tr>
					<td colspan="2"><br /><br /><hr /></td>
				</tr>
				<tr>
					<td colspan="2"><h1><% WriteString("ContentText_FastAddOptionGroup") %></h1></td>
				</tr>
				<tr>
					<td colspan="2" class="small"><% WriteString("ContentText_FastAddOptionGroupText") %><a href="_optiongroups_list.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_FastAddOptionGroupLink") %></a>.</td></tr>
				<tr>
					<td valign="top"><% WriteString("ContentText_Name") %></td>
					<td><input type="text" name="OPTG_BackendName" size="40" /></td>
				</tr>
				<tr>
					<td valign="top"><% WriteString("FormLabel_OptionDisplayType") %></td>
					<td>
						<select name="OPTG_OptionDisplayType" id="optionsdisplayselect" size="1" onchange="if(document.getElementById('optionsdisplayselect').value=='c') {document.getElementById('optionstextarea').disabled=true;} else {document.getElementById('optionstextarea').disabled=false;};">
							<option value="d"><% WriteString("ContentText_DropdownOptionDisplayType") %></option>
							<option value="o"><% WriteString("ContentText_OptionsOptionDisplayType") %></option>
							<option value="c"><% WriteString("ContentText_CheckboxOptionDisplayType") %></option>
						</select>			
					</td>
				</tr>
				<tr>
					<td valign="top"><% WriteString("ContentText_Options") %></td>
					<td><textarea id="optionstextarea" name="OPT_Names" rows="8" cols="40" style="width: 300px;"></textarea></td>
				</tr>
				<tr>
				<tr>
					<td>&nbsp;</td>
					<td align="right"><input type="submit" name="btnSubmit" value="<% WriteString("FormButton_Submit") %>" /></td>
				</tr>
				<tr>
					<td colspan="2"><br /><br /></td>
				</tr>
			</table>
		</form><%
	end if %>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
