<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "1325, 400, 450, 451, 452, 525, 551, 876, 1325, 1348, 1349, 1350, 1351, 1352, 1353, 1354, 1355, 1356, 1357, 1358, 1359, 1360, 1361, 1660"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<!--#include file="includes/back_productpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY REVIEW					
'This allows you to edit a specific customer 
'review
'-----------------------------------------------
REV_ID = NumSafe(request.querystring("REV_ID"))

'Pull out all the review information
strQuery = "SELECT * FROM (tblCactuShop" & TABLE_PREFIX & "Reviews INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Reviews.REV_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID) LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Customers ON tblCactuShop" & TABLE_PREFIX & "Reviews.REV_CustomerID = tblCactuShop" & TABLE_PREFIX & "Customers.C_ID WHERE REV_ID = " & REV_ID
Call ExecuteRS(strQuery, objRecordSet)

'If the record wasn't found...
if objRecordSet.bof and objRecordSet.eof then
	'.. then redirect.
	objREcordSet.Close 
	Call EndPage()
	response.Redirect("_review_list.asp?" & strSessionQS)
else
	'... else grab the record details and put them in variables
	REV_ProductID = objRecordSet("REV_ProductID")
	REV_VersionID = objRecordSet("REV_VersionID")
	REV_LanguageID = objRecordSet("REV_LanguageID")
	REV_Title = objRecordSet("REV_Title")
	REV_Text = objRecordSet("REV_Text")
	REV_Rating = objRecordSet("REV_Rating")
	REV_Name = objRecordSet("REV_Name")
	REV_Email = objRecordSet("REV_Email")
	REV_Location = objRecordSet("REV_Location")
	REV_Live = objRecordSet("REV_Live")
	REV_DateCreated = objRecordSet("REV_DateCreated")
	REV_DateLastUpdated = objRecordSet("REV_DateLastUpdated")
	C_ID = NumSafe(objRecordSet("C_ID"))
	C_CardHolderName = objRecordSet("C_CardHolderName")
	
	P_Reviews = objRecordSet("P_Reviews")
	
	'Get first product name
	strProductName = objRecordSet("P_Name" & CInt(numLanguageID))
	If strProductName & "" = "" then
		'loop around all languages till we find a non-blank	
		numCount = 0
		For numCount = 1 to numTotalLanguages
			if objRecordSet("P_Name" & CStr(numCount)) & "" <> "" then
				strProductName = objRecordSet("P_Name" & CStr(numCount))			
				exit for
			end if
		Next
	end if		
	
end if
objRecordSet.Close

'Get relevant application variables
strAppEnableReviews = GetAppVar("enablereviews")
strAppRatingOnReviews = GetAppVar("ratingonreviews")
strAppTitleOnReviews = GetAppVar("titleonreviews")
numAppReviewRatingMax = GetAppVar("reviewratingmax")
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
	<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
	<td valign="top">
		<%= strProductHTML %>
			<form action="_update_review.asp" method="POST" id="frmUpdateReview">
			<%= objCactuSession.Form %>
			<input type="hidden" name="REV_ID" value="<%= REV_ID %>" />
			<%= strProductForm %>
			<table border="0" cellpadding="5" cellspacing="0" width="100%">
				<tr>
					<td colspan="2"><h1><% WriteString("PageTitle_EditReview") %></h1></td>
				</tr>
				<tr>
					<td valign="top"><% WriteString("ContentText_Status") %></td>
					<td valign="top">
						<input type="radio" name="REV_Live" value="a"<% if REV_Live = "a" then response.write " checked=""checked""" %> /><% WriteString("ContentText_RadioWaitingAuthorisation") %><br />
						<input type="radio" name="REV_Live" value="y"<% if REV_Live = "y" then response.write " checked=""checked""" %> /><% WriteString("ContentText_RadioLive") %><br />
						<input type="radio" name="REV_Live" value="n"<% if REV_Live = "n" then response.write " checked=""checked""" %> /><% WriteString("ContentText_RadioNotLive") %>		
					</td>
				</tr>
				<tr>
					<td colspan="2"><hr /></td>
				</tr>	
				<tr>
					<td width="120"><% WriteString("FormLabel_Product") %></td>
					<td><%= strProductName %></td>
				</tr>
				
				<% if C_ID > 0 then %>
					<tr>
						<td width="120"><% WriteString("FormLabel_Customer") %></td>
						<td><a href="_modify_customerstatus.asp?<%= objCactuSession.QS %>C_ID=<%= C_ID %>"><%= WriteSafe(C_CardHolderName) %></a></td>
					</tr>
				<% end if %>
				
				<% 
				'Check to see if the product has options - don't show dropdown if that's the case
				strQuery = "SELECT NULL FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_ProductID = " & REV_ProductID & " AND V_Type IN ('o','b')"
				Call ExecuteRS(strQuery, objRecordSet2)
				If Not (objRecordSet2.BOF and objRecordSet2.EOF) then P_Reviews = "v"
				objRecordSet2.Close					

				'Show versions list. If the product information says not to show it, then we pass
				'the current value hidden. Otherwise show dropdown.
				if P_Reviews = "v" then %>
					<input type="hidden" name="REV_VersionID" value="<%= REV_VersionID %>" />
				<% else %>
					<tr>
						<td valign="top"><% WriteString("FormLabel_Version") %></td>
						<td class="small">
							<%
							strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_ProductID = " & REV_ProductID
							Call ExecuteRS(strQuery, objRecordSet2)
							Call SingleDropDownLang("REV_VersionID", "", GetString("ContentText_ReviewVersionAll"), objRecordSet2, "V_ID", "V_Name", REV_VersionID)
							objRecordSet2.Close
							%>
						</td>
					</tr>
				<% end if %>

				<tr>
					<td valign="middle"><% WriteString("FormLabel_Language") %></td>
					<td valign="middle">
						<select name="REV_LanguageID">
							<% numCount = 0
							For numCount = 1 to numTotalLanguages
								If aryLangLiveBack(numCount) = "y" then
									if NumSafe(numCount) = NumSafe(REV_LanguageID) then
										response.Write "<option value=""" & numCount & """ selected=""selected"">" & aryLangBackNames(numCount) & "</option>"
									else
										response.Write "<option value=""" & numCount & """>" & aryLangBackNames(numCount) & "</option>"
									end if
								end if
							Next %>
						</select>
					</td>
				</tr>
				
				<% 
				'Review Title
				If strAppTitleOnReviews = "yes" or strAppTitleOnReviews = "required" Then %>
					<tr>
						<td width="30%"><% WriteString("FormLabel_ReviewTitle") %><% If strAppTitleOnReviews = "required" then response.Write "*" %></td>
						<td width="70%"><input type="text" name="REV_Title" size="40" value="<%= WriteSafe(REV_Title) %>" /></td>
					</tr>
				<% else %>
					<input type="hidden" name="REV_Title" value="<%= WriteSafe(REV_Title) %>" />
				<% end if %>
				
				<% 
				'Review star rating
				If strAppRatingOnReviews = "yes" or strAppRatingOnReviews = "required" Then %>
					<tr>
						<td width="30%"><% WriteString("FormLabel_ReviewRating") %><% If strAppRatingOnReviews = "required" then response.Write "*" %></td>
						<td width="70%"><select name="REV_Rating">
							<% if strAppRatingOnReviews = "yes" then %>
								<option value="0"><% WriteString("FormLabel_ReviewRatingNotGiven") %></option>
							<% else %>
								<option value="0"><% WriteString("FormLabel_ReviewRatingSelect") %></option>
							<% end if %>
							
							<% For i = 1 to numAppReviewRatingMax %>
								<option value="<%= i %>"<% If NumSafe(i) = NumSafe(REV_Rating) then response.Write " selected=""selected""" %>><%= i %></option>
							<% next %>
						</select></td>
					</tr>
				<% else %>
					<input type="hidden" name="REV_Rating" value="<%= REV_Rating %>" />
				<% end if %>
				
				<tr>
					<td width="30%" valign="top"><% WriteString("FormLabel_ReviewText") %>*</td>
					<td><textarea name="REV_Text" cols="35" rows="8"><%= WriteSafe(REV_Text) %></textarea></td>
				</tr>
				<tr>
					<td width="30%"><% WriteString("FormLabel_ReviewName") %></td>
					<td><input type="text" name="REV_Name" size="20" value="<%= WriteSafe(REV_Name) %>" /></td>
				</tr>
				<tr>
					<td width="30%"><% WriteString("FormLabel_ReviewLocation") %></td>
					<td><input type="text" name="REV_Location" size="20" value="<%= WriteSafe(REV_Location) %>" /></td>
				</tr>
				<tr>
					<td width="30%"><% WriteString("FormLabel_ReviewEmail") %></td>
					<td><input type="text" name="REV_Email" size="30" value="<%= WriteSafe(REV_Email) %>" /></td>
				</tr>
				<tr>
					<td colspan="2" align="right"><input type="submit" name="btnUpdate" id="update" value="<% WriteString("FormButton_Update") %>" /></td>
				</tr>
			</table>
		</form>
		<hr />
		<form action="_update_review_delete.asp" name="deleteform" id="frmDeleteReview">
			<%= objCactuSession.Form %>
			<%= strProductForm %>
			<input type="hidden" name="REV_ID" value="<%= REV_ID %>" />
			<table border="0" cellpadding="5" cellspacing="0" width="100%">
				<tr bgcolor="#EEEEEE">
					<td align="right" width="70"><input type="submit" name="btnDelete" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
					<td class="bold"><% WriteString("ContentText_DeleteThisEntry") %></td>
				</tr>
			</table>
		</form>	
		</td>
	</tr>
	</table>
	</form></td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
