<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "361, 400, 517, 524, 525, 538, 539, 540, 541, 547, 548, 549, 550, 551, 552, 553, 554, 555, 556, 557, 558, 559, 560, 589, 622, 864, 832, 865, 935, 936, 937, 938, 1213, 1214, 1234, 1278, 1283, 1487, 1488, 1601, 1602, 1603, 1604, 1804, 1805, 1842"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY VERSION SCRIPT							
'This enables versions to be pulled out of the	
'database, into a form and edited. It is also	
'called for new versions - in this case the		
'text box and dropdown settings are blanked.	
'-----------------------------------------------

'-----------------------------------------------
'This has been modified so that a P_ID has to
'be passed, and a product selection has gone
'-----------------------------------------------

'-----------------------------------------------
'COLLECT VALUES FROM QUERYSTRING
'-----------------------------------------------
V_ID = Request.Querystring("V_ID")
P_ID = Request.Querystring("P_ID")
CAT_ID = Request.Querystring("CAT_ID")
numOriginalProdType = CAT_ID
If P_ID = "" Or Not IsNumeric(P_ID) Then P_ID = 0
strCallMode = Request.Querystring("strCallMode")


'-----------------------------------------------
'FORMAT AND RUN THE QUERY						
'-----------------------------------------------
strQuery = "SELECT tblCactuShop" & TABLE_PREFIX & "Versions.*, CAT_ID FROM ((tblCactuShop" & TABLE_PREFIX & "Versions INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Versions.V_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink ON tblCactuShop" & TABLE_PREFIX & "Products.P_ID = tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_ProductID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Categories ON tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_CategoryID = tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID WHERE V_ID = " & V_ID
Call ExecuteRS(strQuery, objRecordSet)

numRecordCount = objRecordSet.RecordCount

'-----------------------------------------------
'If a version has been pulled out of the DB then
'set these variables to the field info that was
'pulled out, otherwise this is a new version and
'the variables will be left blank.
'-----------------------------------------------
Dim V_Name(), V_Desc()
Redim V_Name(numTotalLanguages)
Redim V_Desc(numTotalLanguages)

If numRecordCount > 0 then
	V_ID = objRecordSet("V_ID")
	V_Live = objRecordSet("V_Live")
	
	V_CodeNumber = WriteSafe(objRecordSet("V_CodeNumber"))
	V_ProductID = objRecordSet("V_ProductID")
	V_Price = objRecordSet("V_Price")
	V_RRP = objRecordSet("V_RRP")
	V_Weight = objRecordSet("V_Weight")
	V_DeliveryTime = objRecordSet("V_DeliveryTime")
	V_Quantity = objRecordSet("V_Quantity")
	V_QuantityWarnLevel = objRecordSet("V_QuantityWarnLevel")	
	V_DownLoadInfo = WriteSafe(objRecordSet("V_DownLoadInfo"))
	V_DownloadType = objRecordSet("V_DownLoadType")
	V_Tax = objRecordSet("V_Tax")
	V_OrderByValue = objRecordSet("V_OrderByValue")
	V_CustomerGroupID = objRecordSet("V_CustomerGroupID")
	V_Type = objRecordSet("V_Type")
	
	'Set an array extension if the download file was uploaded
	If V_DownloadType = "u" then
		aryDownloadInfo = split(V_DownloadInfo, "|")
		strDownloadExtension = aryDownloadInfo(0)
		strRandomFileName = aryDownloadInfo(1)
		
		'Make the extension into an array so we can pass it to
		'our function
		Dim aryDownloadExtension(0)
		aryDownloadExtension(0) = strDownloadExtension
	ElseIf V_DownloadType = "f" then
		V_FreeShipping = "y"
	End If
	
	'Loop through all languages and get the names and descriptions
	For numCount = 1 to numTotalLanguages	
		If aryLangLiveBack(numCount) = "y" then
			V_Name(numCount) = WriteSafe(objRecordSet("V_Name" & CStr(numCount)))
			V_Desc(numCount) = WriteSafe(objRecordSet("V_Desc" & CStr(numCount)))
			If V_Name(numCount) <> "" then
				strFirstNonEmptyName = V_Name(numCount)
			end if
		end if
	Next
	If V_Name(numDefaultLanguage) <> "" then strFirstNonEmptyName = V_Name(numDefaultLanguage)
		
	If V_Live= "" Then V_Live = "n"
	If CAT_ID = "" Then CAT_ID = objRecordSet("CAT_ID")
Else
	V_ID = 0
	V_Tax = 0
	V_ProductID = P_ID
End If
objRecordSet.Close

%>
<!--#include file="includes/back_productpage.asp"-->
<%
If V_QuantityWarnLevel = 0 then
	strStockTracking = "n"
	V_Quantity = 0
Else
	strStocktracking = "y"
End If

Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")

'-----------------------------------------------
'This seems to be the most reliable way of		
'converting to a number - "" will change to zero
'-----------------------------------------------
CAT_ID = CAT_ID * 1
V_ProductID = V_ProductID * 1
If V_ProductID = 0 Then V_ProductID = Product * 1

'-----------------------------------------------
'PULL OUT OPTIONS
'-----------------------------------------------
If V_Type = "c" then
	Set objRecordSetOptions = Server.CreateObject("ADODB.Recordset")
	strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "OptionGroups INNER JOIN tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink ON tblCactuShop" & TABLE_PREFIX & "OptionGroups.OPTG_ID = tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink.P_OPTG_OptionGroupID WHERE tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink.P_OPTG_ProductID = " & V_ProductID & " ORDER BY P_OPTG_OrderByValue"
	Call ExecuteRS(strQuery, objRecordSetOptions)
	blnGotOptions = not (objRecordSetOptions.BOF and objRecordSetOptions.EOF)
end if

'If we're trying to add a new version and we've got options - get out!
If V_ID = 0 and blnGotOptions then
	Call EndPage()
	response.Redirect("_default.asp?" & strSessionQS)
End If

If request.QueryString("single") = "y" then
	'We set the version name to the product name if we're adding a single
	'version. This is set for each language
	strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Products WHERE P_ID = " & P_ID
	Call ExecuteRS(strQuery, objRecordSet2)
	For numCount = 1 to numTotalLanguages	
		If aryLangLiveBack(numCount) = "y" then
			V_Name(numCount) = WriteSafe(objRecordSet2("P_Name" & CStr(numCount)))
		End If
	Next
	objRecordSet2.Close
End If
		
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
		<!--#include file="includes/functions_jscript.asp"-->
	</head>
<script language="JavaScript" type="text/javascript">
<!-- 				
function ToggleStock() {
	if (document.verform.strStockTracking.checked==true) {
		ShowStock();
		}
	else
		{
		HideStock();
		}
	return false;
		}
function ShowStock() {
		document.verform.V_Quantity.disabled = false;
		document.verform.V_QuantityWarnLevel.disabled = false;
		}
function HideStock() {
		document.verform.V_Quantity.disabled = true;
		document.verform.V_QuantityWarnLevel.disabled = true;
		}
-->				
</script>

<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
	<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
	<td valign="top">
	<%= strProductHTML %>
	<%
	'-----------------------------------------------
	'LOOKUP VERSION
	'If a version has been pulled out of the DB then
	'run this query to find the product and set		
	'some more variables to these values.													
	'-----------------------------------------------
	If numRecordCount > 0 Then
		strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Versions INNER JOIN tblCactuShop" & TABLE_PREFIX & "Products ON tblCactuShop" & TABLE_PREFIX & "Versions.V_ProductID = tblCactuShop" & TABLE_PREFIX & "Products.P_ID WHERE V_ID = " & V_ID
		Call ExecuteRS(strQuery, objRecordSet)
		P_Name = WriteSafe(objRecordSet("P_Name" & CInt(numLanguageID)))
		If P_Name & "" = "" then
			For numCount = 1 to numTotalLanguages
				if aryLangLiveBack(numCount) = "y" then
					P_Name = WriteSafe(objRecordSet("P_Name" & CStr(numCount)))
					If P_Name & "" <> "" then Exit For
				end if
			next
		end if
		objRecordSet.Close
		If strCallMode = "c" then
			strPageTitle = GetString("PageTitle_CloneVersion")
		Else
			strPageTitle = GetString("PageTitle_EditVersion")
		End If
	Else
		strPageTitle = GetString("PageTitle_NewVersion")
	End If

	
	If strCallMode = "c" Then V_ID = 0
	%>
	<form method="post" name="verform" action="_update_version.asp" enctype="multipart/form-data">
	<%= objCactuSession.Form %>
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td><h1><% =strPageTitle %></h1></td>
	</tr>	
	<% if blnGotOptions then %>
		<tr>
			<td><% WriteString("ContentText_VersionCombinationText") %></td>
		</tr>
	<% end if %>
	</table>
	<% If numOriginalProdType = "" then numOriginalProdType = CAT_ID %>
	<input type="hidden" name="CAT_ID" value="<% =numOriginalProdType %>" />
	<input type="hidden" name="P_ID" value="<%= P_ID %>" />
	<input type="hidden" name="V_ID" value="<% =V_ID %>" />
	<input type="hidden" name="strCallMode" value="<% If strCallMode = "c" Or numRecordCount = 0 Then Response.Write("Add") Else Response.Write("Modify") %>" />
	<input type="hidden" name="strDownloadExtension" value="<% =strDownloadExtension %>" />
	<input type="hidden" name="strRandomFileName" value="<% =strRandomFileName %>" />
	<table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td class="bold"><% WriteString("FormLabel_ShowOnSite") %></td>
		<td><input <% If Not V_Live = "n" Then %>checked="checked" <% End If %>type="checkbox" name="V_Live" value="y" /></td>
	</tr>
	
	<tr>
		<td class="bold"><% WriteString("FormLabel_CodeNumer") %></td>
		<td><input type="text" name="V_CodeNumber" size="25" value="<% =V_CodeNumber %>" ID="Text1"/></td>
	</tr><%
	If SOFTWARE_IS_PRO then
		Call DisplayBackendGroupLimiter("V_CustomerGroupID", V_CustomerGroupID)
	End If
	
	For numCount = 1 to numTotalLanguages
		If aryLangLiveBack(numCount) = "y" then
			if numCount = 1 then %>
				<tr>
					<td colspan="2"><hr /></td>
				</tr>
			<% end if
			
			if numTotalLanguages > 1 then %>
				<tr>
					<td class="bold" colspan="2"><%= aryLangBackNames(numCount) %></td>
				</tr>
			<% end if %>
		
			<tr>
				<td class="bold"><% WriteString("FormLabel_VersionName") %></td>
				<td><input type="text" name="V_Name<% =numCount %>" value="<% =V_Name(numCount) %>" size="28" /></td>
			</tr>
			<tr>
				<td valign="top"><% WriteString("FormLabel_DescriptionNotRequired") %></td>
				<td><textarea rows="5" name="V_Desc<% =numCount %>" cols="35" wrap="on"><% =V_Desc(numCount) %></textarea></td>
			</tr>
			<tr>
				<td colspan="2"><hr /></td>
			</tr>
		<% end if
	next %>
	
	
	<%
	'----------------------------------------------------------
	'OPTIONS
	'----------------------------------------------------------
	If V_ID > 0 then
		If blnGotOptions then %>
			<tr>
				<td class="bold" colspan="2"><% WriteString("ContentText_OptionSelections") %></td>
			</tr>		
			<%
			'Loop through all option groups
			Do While not objRecordSetOptions.EOF
				'get option group information
				OPTG_ID = objRecordSetOptions("OPTG_ID")
				strOptionGroupName = objRecordSetOptions("OPTG_Name" & CInt(numLanguageID))
				If strOptionGroupName & "" = "" then
					numCount = 0
					for numCount = 1 to numTotalLanguages
						strOptionGroupName = objRecordSetOptions("OPTG_Name" & CStr(numCount))
						If strOptionGroupName & "" <> "" then exit for
					next
				end if
				
				'Pull out the option for this option group
				strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Options INNER JOIN tblCactuShop" & TABLE_PREFIX & "VersionOptionLink ON tblCactuShop" & TABLE_PREFIX & "Options.OPT_ID = tblCactuShop" & TABLE_PREFIX & "VersionOptionLink.V_OPT_OptionID WHERE V_OPT_VersionID = " & V_ID & " AND OPT_OptionGroupID = " & OPTG_ID
				Call ExecuteRS(strQuery, objRecordSet2)
				If not (objRecordSet2.BOF And objRecordSet2.EOF) then %>
					<tr>
						<td><%= strOptionGroupName %></td>
						<td>
							<%
							'Get option name
							OPT_ID = objRecordSet2("OPT_ID")
							strOptionName = objRecordSet2("OPT_Name" & CInt(numLanguageID))
							If strOptionName & "" = "" then
								numCount = 0
								for numCount = 1 to numTotalLanguages
									strOptionName = objRecordSet2("OPT_Name" & CStr(numCount))
									If strOptionName & "" <> "" then exit for
								next
							end if						
							%>
							<input type="hidden" name="V_Options" value="<%= OPT_ID %>" /><%= strOptionName %>
						</td>
					</tr>
				<% end if	
				
				'Next option group
				objRecordSet2.Close					
				objRecordSetOptions.MoveNext
			Loop %>
			<tr>
				<td colspan="2"><hr /></td>
			</tr><%
			objRecordSetOptions.Close 
		end if 
	end if 
	
	%>
	
	<tr>
		<td class="bold"><%
		If GetAppVar("pricesinctax") = "y" then
			WriteString("FormLabel_PriceIncTax")
		Else
			WriteString("FormLabel_PriceExTax")
		End if %></td>
		<td><% =objDefaultCurrency.Symbol %></span>
		<% if blnGotOptions then %>
			<input type="hidden" name="V_Price" value="<% =objDefaultCurrency.DisplayWithoutSymbol(V_Price, false) %>" /><% =objDefaultCurrency.DisplayWithoutSymbol(V_Price, false) %>
		<% else %>
			<input type="text" name="V_Price" size="5" value="<% =objDefaultCurrency.DisplayWithoutSymbol(V_Price, false) %>" />
		<% end if %>
		</td>
	</tr>
	
	<tr>
		<td class="bold"><% WriteString("FormLabel_TaxBand") %></td>
		<td><%
		'-----------------------------------------------
		'BUILD TAX RATE DROPDOWN
		'Can't use function since we want more than the
		'contents of one DB field displayed on the
		'each line of the dropdown.
		'-----------------------------------------------
		strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "TaxRates"
		Call ExecuteRS(strQuery, objRecordSet)

		strMenu="<select Name='V_Tax' size='1'>" & vbcrlf
		do while not objRecordSet.EOF
			strSelectPrint=""
			numDBValue = objRecordSet("T_ID")
			If IsNull(numDBValue) Then numDBValue = ""
			if CStr(V_Tax) = CStr(numDBValue) then strSelectPrint = "selected=""selected"" "
			strMenu = strMenu & "<option " & strSelectPrint & "value='" & numDBValue & "'>" & lcase(GetString("FormLabel_TaxBand")) & " " & numDBValue & "&nbsp;&nbsp;-&nbsp;&nbsp;" & objRecordSet("T_TaxRate") & "%</option>" & vbcrlf
			objRecordSet.movenext
		loop
		strMenu = strMenu & "</select>"
		response.write(strMenu)
		objRecordSet.Close

		%><span></span></td>
	</tr>
		
	<tr>
		<td><% WriteString("FormLabel_Weight") %> (<% =GetAppVar("weightunit") %>)</td>
		<td>
		<% if blnGotOptions then %>
			<input type="hidden" name="V_weight" value="<% =V_weight %>" /><%= V_weight %>
		<% else %>
			<input type="text" name="V_weight" size="5" value="<% =V_weight %>" />
		<% end if %>
		</td>
	</tr>
	
	<% if blnGotOptions then %>
		<tr>
			<td colspan="2"><hr /></td>
		</tr>		
	<% end if %>
	
	<tr>
		<td><% WriteString("FormLabel_RRP") %></td>
		<td><span><% =objDefaultCurrency.Symbol %></span><input type="text" name="V_RRP" size="5" value="<% =objDefaultCurrency.DisplayWithoutSymbol(V_RRP, false) %>" /></td>
	</tr>


	<tr>
		<td><% WriteString("FormLabel_DeliveryTime") %></td>
		<td><input type="text" name="V_DeliveryTime" size="5" value="<% Response.Write(V_DeliveryTime) %>" /></td>
	</tr>
	
	
	<tr>
		<td valign="top"><% WriteString("FormLabel_StockTracking") %></td>
		<td><input type="checkbox" name="strStockTracking" onclick="javascript:ToggleStock();" size="5" value="y"<%= IIf(strStockTracking = "y", " checked=""checked""", "") %> /><span class="small"><% WriteString("ContentText_StockTrackingText") %></span></td>
	</tr>	
	<tr>
		<td valign="top"></td>
		<td><span class="small"><% WriteString("FormLabel_StockQuantity") %>&nbsp;<input type="text" name="V_Quantity" size="5" value="<% =V_Quantity %>" />&nbsp;<% WriteString("FormLabel_WarningLevel") %>&nbsp;<input type="text" name="V_QuantityWarnLevel" size="5" value="<% =V_QuantityWarnLevel %>" /></span></td>
	</tr>	
	<tr>
		<td valign="top"><% WriteString("FormLabel_OrderByValue") %></td>
		<td><input type="text" name="V_OrderByValue" value="<% =V_OrderByValue %>" size="5" /></td>
	</tr>
	<tr>
		<td valign="top"><% WriteString("FormLabel_FreeShipping") %></td>
		<td><input type="checkbox" name="V_FreeShipping" value="y" <% if V_FreeShipping = "y" then response.Write " checked=""checked""" %> /></td>
	</tr>
	<tr>
		<td class="small" colspan="2"><% WriteString("ContentText_FreeShippingText") %></td>
	</tr>
	<% if not blnGotOptions then %>
		<%
		'-----------------------------------------
		'FIND IMAGES
		'-----------------------------------------
		'Normal
		strNormalImageHTML = ""
		If Not strCallMode = "new" Then
			strFileName = GetFileLocation(Server.MapPath(GetAppVar("uploadsfolder") & "images_versions/"), V_ID, Split(GetAppVar("allowedimages"), ","), objFileSystem)
			If Not strFileName = "" Then
				strNormalImageHTML = "<img src=""" & GetAppVar("uploadsfolder") & "images_versions/" & strFileName & """ vspace=""5"" hspace=""5"" alt="""" /><br />"
				blnJsOpenImages = true
			End if
		End If
			
		'Large
		strLargeImageHTML = ""
		If Not strCallMode = "new" Then
			Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")
			strFileName = GetFileLocation(Server.MapPath(GetAppVar("uploadsfolder") & "images_versions_large/"), V_ID, Split(GetAppVar("allowedimages"), ","), objFileSystem)
			If Not strFileName = "" Then
				strLargeImageHTML = "<img src='" & GetAppVar("uploadsfolder") & "images_versions_large/" & strFileName & "' vspace=5 hspace=5><br />"
				blnJsOpenImages = true
			End if
		End If
		%>
		<tr>
			<td colspan="2"><hr /></td>
		</tr>
		<tr bgcolor="#EEEEEE">
			<td colspan="2" class="bold"><a href="#images" onclick="ToggleItem(document.getElementById('imagesbox'));"><% WriteString("ContentText_Images") %></a></td>
		</tr>
		<tr bgcolor="#eeeeee" id="imagesbox"><td colspan="2"><table cellpadding="5" cellspacing="0" border="0" ID="Table1">
			<tr>
				<td class="small bold" title="images"><% WriteString("ContentText_NormalImage") %></td>
				<td><input name="V_Image" size="30" type="file" /></td>
			</tr>
			<% if strNormalImageHTML <> "" then %>
				<tr>
					<td colspan="2" align="center"><%= strNormalImageHTML %></td>
				</tr>
				<tr>
					<td colspan="2"><input type="checkbox" name="V_DeleteImage" value="y" /><span class="small"><% WriteString("ContentText_TickHereToRemoveImage") %></span></td>
				</tr>
			<% end if %>
			<tr><td colspan="2"><hr /></td></tr>
			<tr>
				<td class="small bold"><% WriteString("ContentText_LargeImage") %></td>
				<td><input name="V_Image_Large" size="30" type="file" /></td>
			</tr>
			<% If strLargeImageHTML <> "" then %>
				<tr>
					<td colspan="2" align="center"><%= strLargeImageHTML %></td>
				</tr>
				<tr>
					<td colspan="2"><input type="checkbox" name="V_DeleteImage_Large" value="y" /><span class="small"><% WriteString("ContentText_TickHereToRemoveImage") %></span></td>
				</tr>
			<% End If %>
		</table></td></tr>
	<% End If %>
	
	<%
	If SOFTWARE_IS_PRO then
		blnJsOpenGroupPrices = DisplayBackendGroupPricing(V_ID)
	Else
		blnJsOpenGroupPrices = true
	End If

	'-----------------------------------------
	'QUANTITY PRICE BREAKS
	'Only show if appvar says so
	'-----------------------------------------
	If SOFTWARE_IS_PRO Then
		blnJsOpenPriceBreaks = ShowQuantityPriceBreaks(V_ID)
	Else
		blnJsOpenPriceBreaks = true
	End If %>
	
	

	<%
	'-----------------------------------------
	'DOWNLOADABLE VERSION SECTION
	'-----------------------------------------
	%>
	<tr>
		<td colspan="2"><hr /></td>
	</tr>
	<tr bgcolor="#EEEEEE">
		<td colspan="2" class="bold"><a href="#downloadfile" onclick="ToggleItem(document.getElementById('downloadfilebox'));"><% WriteString("ContentText_DownloadableFile") %></a></td>
	</tr>
	<tr bgcolor="#eeeeee" id="downloadfilebox"><td colspan="2"><table cellpadding="5" cellspacing="0" border="0" width="100%">
		<tr bgcolor="#EEEEEE">
			<td colspan="2" class="small" title="downloadfile"><% WriteString("ContentText_DownloadableFileExp") %></td>
		</tr>
		<tr bgcolor="#EEEEEE">
			<td width="30%" class="small bold"><% WriteString("FormLabel_DownLoadURL") %></td>
			<td><input type="text" name="V_DownLoadInfo" size="40" value="<% If V_DownloadType = "l" then Response.Write(V_DownLoadInfo) %>" /></td>
		</tr>
		<tr bgcolor="#EEEEEE">
			<td class="small bold"><% WriteString("ContentText_OrUploadFile") %></td>
			<td><%
				'If we currently have a file uploaded and we're not adding a new version...
				If V_Downloadtype = "u" And strCallMode <> "new" Then
					'See if the file exists
					strFileName = GetFileLocation(Server.MapPath(GetAppVar("uploadsfolder") & "files_versions/"), V_ID & "_" & strRandomFileName, aryDownloadExtension, objFileSystem)
					If strFileName = "" Then
						strFileStatus = ""
					Else
						strFileLocation = GetAppVar("uploadsfolder") & "files_versions/" & strFileName
						strFileStatus = "<a href=""" & strFileLocation & """>." & strDownloadExtension & " file</a>"
						blnJsOpenDownloadFile = true
					End if
				Else
					strFileStatus = ""
				End If
				
				'SHOW UPLOADER BOX %>
				<input name="V_DownloadInfoUpload" size="30" type="file" /><br />
			</td>
		</tr>
		<%  'If we're not editing and the file was found, we can delete it
		If Not V_ID = 0 And Not strFileName = "" then %>
		<tr bgcolor="#EEEEEE">
			<td>&nbsp;</td>
			<td class="small"><% =strFileStatus %>&nbsp;<input type="checkbox" name="V_DeleteFile" value="y" ID="Checkbox1"/><span class="small"><% WriteString("ContentText_TickHereToRemoveFile") %></span></td>
		</tr>
		<% End If %>
		
	</table></td></tr>
	
	
	
	
	<tr>
		<td colspan="2"><hr /></td>
	</tr>
	
	<tr>
		<td>&nbsp;</td>
		<td align="right"><input type="submit" name="btnSubmit" id="submit" value="<% If numRecordCount > 0 And Not strCallMode = "c" Then %> <% WriteString("FormButton_Update") %> <% Else %> <% WriteString("FormButton_Add") %> <% End If %>" /></td>
	</tr>
	</table>
	</form>
	
	<script language="JavaScript" type="text/javascript">
		<% if strStockTracking = "y" then %>ShowStock();<% else %>HideStock();<% end if %>
	</script>
	
	<hr />
	

	<% 'Toggle open the boxes if required %>
	<script language="JavaScript" type="text/javascript">
		<% if Not blnJsOpenGroupPrices then %>HideItem(document.getElementById('groupricesbox'));<% end if %>
		<% if Not blnJsOpenPriceBreaks then %>HideItem(document.getElementById('pricebreaksbox'));<% end if %>
		<% if Not blnJsOpenDownloadFile then %>HideItem(document.getElementById('downloadfilebox'));<% end if %>
		<% if Not blnJsOpenImages then %>HideItem(document.getElementById('imagesbox'));<% end if %>
	</script>
	<%	
	
	'-----------------------------------------------
	'Show the delete version on if this is an		
	'existing version, hasn't got options and isn't
	'an option base				
	'-----------------------------------------------
	If Not V_ID = 0 and not blnGotOptions and V_Type <> "o" Then
		%>
		<form method="post" action="_update_version.asp" enctype="multipart/form-data">
		<%= objCactuSession.Form %>
		<input type="hidden" name="strCallMode" value="Delete" />
		<input type="hidden" name="V_ID" value="<% =V_ID %>" />
		<%= strProductForm %>
		<table border="0" cellpadding="5" cellspacing="0" width="100%">
		<tr bgcolor="#EEEEEE">
			<td align="right" width="70"><input type="submit" name="btnDelete" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
			<td class="bold"><% WriteString("ContentText_DeleteThisVersion") %></td>
		</tr>
		</table>
		</form>
	<% End If
%></td>
</tr>
</table>
</body>
</html>
<% 
Set objRecordSetOptions = Nothing
Set objFileSystem = Nothing
Call EndPage()
%>
