<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "620, 622, 626, 627, 628, 629"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/functions_backend.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

P_ID = NumSafe(DualRequest("P_ID"))
CAT_ID = NumSafe(DualRequest("CAT_ID"))

'Recursive function to write out the categories and sub-categories in a trail
Function DoCats(objCategoriesDictionary, objSubCategoriesDictionary, numMotherID, strTrail)

	'Write out the trail
	response.write("<option value=""" & numMotherID & """>-&nbsp;" & strTrail & objCategoriesDictionary.Item(Clng(numMotherID)) & "</option>")
	
	'If there are any sub categories for this category
	If objSubCategoriesDictionary.Exists(Clng(numMotherID)) then

		'Get all sub categories and loop through them
		arySubCategories = split(objSubCategoriesDictionary.Item(Clng(numMotherID)), ",")
		For each intSubCategory in arySubCategories

			If isnumeric(intSubCategory) then

				'Add the sub category to the end of the trail and call the function with the new sub-cat
				strTrailToPass = "&nbsp;&nbsp;&nbsp;&nbsp;" & strTrail
				DoCats objCategoriesDictionary, objSubCategoriesDictionary, intSubCategory, strTrailToPass
			end if
		Next
	end if
end Function

'-----------------------------------------------
'BUILD UP STRING OF EXISTING ITEMS FROM DB FIRST
'WHEN THE RELATIONS LINK ON A PRODUCT IS CLICKED
'-----------------------------------------------
If DualRequest("blnSubmitted") = "True" Then
	strRelations = DualRequest("strRelations")
Else
	strQuery = "SELECT RP_ChildID FROM tblCactuShop" & TABLE_PREFIX & "RelatedProducts WHERE RP_ParentID = " & P_ID & " ORDER BY RP_ChildID"
	Call ExecuteRS(strQuery, objRecordSet)
	
	If objRecordSet.recordcount>0 Then
		Do Until objRecordSet.EOF
			strRelations = (strRelations & ", " & objRecordSet("RP_ChildID"))
			objRecordSet.MoveNext
		Loop
		strRelations = Right(strRelations, Len(strRelations) - 2)
	End If
	objRecordSet.Close
End If

'-----------------------------------------------
'SPLIT INTO ARRAY IF THERE ARE CURRENT RELATIONS
'-----------------------------------------------
strTotalList = DualRequest("strTotalList")
strProducts = DualRequest("strProducts")

If strRelations = "" Then
	If Not strProducts = "" Then
		strRelations = strProducts
	End If
End If

If strRelations <> "" Then
	Dim objDictionary, numDictionaryKey, aryTemp, numArrayCounter
	Set objDictionary = Server.CreateObject("Scripting.Dictionary")

	aryTemp = Split(strRelations, ", ")
	For numArrayCounter = LBound(aryTemp) To UBound(aryTemp)
		If Not IsNull(aryTemp(numArrayCounter)) And Not Trim(aryTemp(numArrayCounter)) = "" Then
			If Not objDictionary.Exists(aryTemp(numArrayCounter)) Then objDictionary.Add aryTemp(numArrayCounter), aryTemp(numArrayCounter)
		End If
	Next

	'-----------------------------------------------
	'REMOVE FROM DICTIONARY THOSE ITEMS IN
	'FORMTOTALLIST AND NOT IN strProducts
	'-----------------------------------------------
	aryTemp = Split(strTotalList, ", ")
	strProducts = " " & strProducts & ","
	For numArrayCounter = LBound(aryTemp) To UBound(aryTemp)
		If Not IsNull(aryTemp(numArrayCounter)) Then
			If InStr(1, strProducts, " " & aryTemp(numArrayCounter) & ",") = 0  Then 'If Not Selected
				If objDictionary.Exists(aryTemp(numArrayCounter)) Then objDictionary.Remove(aryTemp(numArrayCounter))
			End If
		End If
	Next
	If Not Len(strProducts) = 2 Then strProducts = Mid(strProducts, 2, Len(strProducts) - 2)
	If strProducts = " ," Then strProducts = ""

	'-----------------------------------------------
	'ADD TO DICTIONARY THOSE ITEMS IN FORM SELECTED
	'-----------------------------------------------
	If Not strProducts = "" Then
		aryTemp = Split(strProducts, ", ")
		For numArrayCounter = LBound(aryTemp) To UBound(aryTemp)
			If Not IsNull(aryTemp(numArrayCounter)) And Not Trim(aryTemp(numArrayCounter)) = "" Then
				If Not objDictionary.Exists(aryTemp(numArrayCounter)) Then objDictionary.Add aryTemp(numArrayCounter), aryTemp(numArrayCounter)
			End If
		Next
	End If

	'-----------------------------------------------
	'BUILD TEMPSTRING FOR COMPARISON IN SQL LATER
	'-----------------------------------------------
	strTemp = ""
	For Each numDictionaryKey In objDictionary.Keys
		strTemp = (strTemp & " " & numDictionaryKey & ",")
	Next
	Set objDictionary = Nothing

	'-----------------------------------------------
	'SAVE THE VALUES
	'-----------------------------------------------
	If Not Len(strTemp) <= 2 Then
		strRelations = Mid(strTemp , 2, Len(strTemp) - 2)
	Else
		strRelations = ""
	End If
End If
%>
<!--#include file="includes/back_productpage.asp"-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%" ID="Table1">
	<tr>
		<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
	</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660" ID="Table2">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top">
    <%= strProductHTML %>
    <table border="0" cellpadding="5" cellspacing="0" width="100%" ID="Table3">
			<tr>
				<td><h1><% WriteString("PageTitle_DefineRelatedProducts") %></h1></td>
			</tr>
			<tr>
				<td valign="top">
					<form method="post" action="_relatedprods_select.asp">
					<%= objCactuSession.Form %>
					<input type="hidden" name="blnSubmitted" value="True" />
					<input type="hidden" name="strRelations" value="<% =WriteSafe(strRelations) %>" />
					<input type="hidden" name="P_ID" value="<% =WriteSafe(P_ID) %>" />
					<input type="hidden" name="CAT_ID" value="<% =WriteSafe(CAT_ID) %>" />
					<table border="0" cellpadding="1" cellspacing="0" width="100%">
						<tr>
							<td class="small bold tableheader">
								<select name="strCategories">
								<%
								'-----------------------------------------------
								'Pull out all categories ad highlight them if
								'the ID number is featured in the string that
								'we created above.
								'-----------------------------------------------
								strCategoryOrderBy = GetAppVar("sortcategories")
								If strCategoryOrderBy = "" then strCategoryOrderBy = "CAT_Name"
								if strCategoryOrderBy = "CAT_Name" or strCategoryOrderBy = "CAT_Desc" then strCategoryOrderBy = strCategoryOrderBy & CInt(numLanguageID)
								
								For numCount = 1 to numTotalLanguages: strCatLangs = strCatLangs & ", c.CAT_Name" & CStr(numCount): Next
								strQuery = "SELECT c.CAT_ID, p.CAT_ID As ParentID" & strCatLangs & " FROM (tblCactuShop" & TABLE_PREFIX & "Categories AS c LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "CategoryHierachy ch ON c.CAT_ID = ch.CH_ChildID) LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Categories p ON ch.CH_ParentID = p.CAT_ID ORDER BY c." & strCategoryOrderBy
								Call ExecuteRS(strQuery, objRecordSet)
					
								'-------------------------------------------------------------
								' WRITE OUT CATEGORIES SELECT
								'-------------------------------------------------------------
								'Create dictionary objects that hold all the category information
								Set objCategoryDictionary = server.CreateObject("Scripting.Dictionary") 'Key - ID, Value - name of category
								Set objParentDictionary = server.CreateObject("Scripting.Dictionary") 'Key - Mother ID, Value - comma-seperated IDs
								
								'Loop for every prodtype pulled out
								Do Until objRecordSet.EOF
									'get repeated recordset values
									numChildID = objRecordSet("CAT_ID")
									numParentID = NumSafe(objRecordSet("ParentID"))
									
									'Find a product name that isn't blank, starting with the default ID
									strCategoryName = GetTranslation(objRecordSet, "CAT_Name")
									
									'add to the categories dictionary if it doesn't already exist
									If Not objCategoryDictionary.Exists(numChildID) Then
										objCategoryDictionary.Add numChildID, strCategoryName
									End If
									
									'add it to parent dictionary - if it already exists, add it on
									'to the end of the list. If not, create a new entry
									if objParentDictionary.Exists(numParentID) then
										objParentDictionary.Item(numParentID) = objParentDictionary.Item(numParentID) & numChildID & ","
									else
										objParentDictionary.Add numParentID, numChildID & ","
									end if
									objRecordSet.movenext
								Loop
								objRecordSet.Close
								
								aryTopLevels = Split(objParentDictionary.Item(0), ",")
								For Each strCat in aryTopLevels
									If strCat <> "" then
										DoCats objCategoryDictionary, objParentDictionary, Clng(strCat), ""
									end if
									next
								%>
								</select> <input class="submit" type="submit" name="btnSubmit" id="select" value="<% WriteSafeString("FormButton_Select") %> &#187;" />
							</td>
						</tr>
					</table>
					</form>
				</td>
			</tr>
<%
If Not strTemp = "" Then
%>			<tr>
				<td valign="top">
		<table border="0" cellpadding="3" cellspacing="0" width="100%">
		<tr>
			<td colspan="2" class="bold"><% WriteString("ContentText_SelectedRelations") %></td>
		</tr>
<%
'-----------------------------------------------
'BUILD UP PRODUCT ID STRING
'-----------------------------------------------
aryCurrentProducts = split(strTemp, ", ", -1)
for numCount = 0 to Ubound(aryCurrentProducts)
	strSQLforCurrentProducts = replace(strSQLforCurrentProducts & " OR P_ID = " & aryCurrentProducts(numCount), ",", "")
next

'-----------------------------------------------
'RUN QUERY
'-----------------------------------------------
strNames = ""
For numCount = 1 to numTotalLanguages
	if aryLangLiveBack(numCount) = "y" then
		strNames = strNames & "tblCactuShop" & TABLE_PREFIX & "Products.P_Name" & CStr(numCount) & ", tblCactuShop" & TABLE_PREFIX & "Categories.CAT_Name" & CStr(numCount) & ", "
	end if
next
strQuery = "SELECT " & strNames & "tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID FROM (tblCactuShop" & TABLE_PREFIX & "Products INNER JOIN tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink ON tblCactuShop" & TABLE_PREFIX & "Products.P_ID = tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_ProductID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Categories ON tblCactuShop" & TABLE_PREFIX & "ProductCategoryLink.PCAT_CategoryID = tblCactuShop" & TABLE_PREFIX & "Categories.CAT_ID WHERE P_ID=0 " & strSQLforCurrentProducts & " ORDER BY " & strNames & "CAT_ID"


Call ExecuteRS(strQuery, objRecordSet)

'-----------------------------------------------
'WRITE CURRENTLY SET RELATIONS LIST
'-----------------------------------------------
Do while NOT objRecordSet.EOF
		numBg = numBg + 1
		If numBg/2 = Int(numBg/2) then
			bgcolor="#EEEEEE"
			bgcolor1="#FFAAAA"
		else
			bgcolor="#DDDDDD"
			bgcolor1="#FFBBBB"
		end if
		P_Name = objRecordSet("P_Name" & numLanguageID)
		CAT_Name = objRecordSet("CAT_Name" & numLanguageID)
		If P_Name & "" = "" then
			'if that's blank, loop around all languages until we find a non-blank
			For numCount = 1 to numTotalLanguages
				if objRecordSet("P_Name" & cstr(numCount)) & "" <> "" then
					P_Name = objRecordSet("P_Name" & CStr(numCount))			
					If P_Name & "" <> "" then exit for
				end if
			Next
		end if
		If CAT_Name & "" = "" then
			'if that's blank, loop around all languages until we find a non-blank
			For numCount = 1 to numTotalLanguages
				if objRecordSet("CAT_Name" & cstr(numCount)) & "" <> "" then
					CAT_Name = objRecordSet("CAT_Name" & CStr(numCount))			
					If CAT_Name & "" <> "" then exit for
				end if
			Next
		end if		
		%>
		<tr bgcolor="<% =bgcolor %>">
			<td class="small"><% Response.Write(P_Name & " (" & CAT_Name & ")") %></td>
			<td align="right" width="20"><a href="_relatedprods_select.asp?<%= objCactuSession.QS %>blnSubmitted=True&amp;P_ID=<%= WriteSafe(P_ID) %>&amp;CAT_ID=<%= WriteSafe(CAT_ID) %>&amp;strRelations=<%= URLSafe(strRelations) %>&amp;strCategories=<%= URLSafe(objRecordSet("CAT_ID") & "," & objRecordSet("CAT_Name" & CInt(numLanguageID))) %>"><img border="0" src="images/modify.gif" alt="<% WriteSafeString("ContentText_EditDelete") %>" title="<% WriteSafeString("ContentText_EditDelete") %>" /></a></td>
		</tr>
<%
objRecordSet.MoveNext
Loop
objRecordSet.Close
Set objRecordSet = Nothing
%>
</table></form></td>
			</tr>
<% End If %>
			<tr>
				<td align="right">
					<form method="post" action="_relatedprods_save.asp">
					<%= objCactuSession.Form %>
					<input type="hidden" name="blnSubmitted" value="True" />
					<input type="hidden" name="strRelations" value="<% =WriteSafe(strRelations) %>" />
					<input type="hidden" name="P_ID" value="<% =WriteSafe(P_ID) %>" />
					<input type="hidden" name="CAT_ID" value="<% =WriteSafe(CAT_ID) %>" />
					<input class="submit" type="submit" name="btnCommand" id="save" value="<% WriteSafeString("FormButton_Save") %>" />
					</form>
				</td>
			</tr>
		</table>
	</tr>
</table>
</div>
</html>
<%
Call EndPage()
%>
