<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "14, 33, 697, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1025, 1026, 1027, 1028, 1029, 1143, 1717, 1773, 1774, 1775" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/customer_security.asp"-->
<%
'-----------------------------------------------
'SET PAGETITLE TAG
'-----------------------------------------------
strPageTitleHTML = GetString("PageTitle_ContactUs") & GetString("PageTitle_Separator") & GetString("Config_Webshopname")
%>
<!--#include file="includes/buildpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'CONTACT FORM AND HANDLER
'-----------------------------------------------

'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE					
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)

'-----------------------------------------------
'WRITE FIRST HALF OF PAGE HTML	
'-----------------------------------------------
response.write(aryPageTemplate(0)) 

blnSubmitted = request.form("submit") <> ""

strCallMode = ListSafe(DualRequest("strCallMode"), "contact,enquiry", "contact")
strAppBasketContentsOnContact = GetAppVar("basketcontentsoncontact")
%>

<h1><% WriteString("PageTitle_ContactUs") %></h1>
<div class="contactus"><% 
	If blnSubmitted then
		
		'-----------------------------------------------
		'PROCESS FORM
		'-----------------------------------------------
		'Collect values from form. Make sure they're not really silly lengths
		strContactName = Left(request.form("strContactName"), 255)
		strContactEmail = Left(request.form("strContactEmail"), 255)
		strContactComments = Left(request.form("strContactComments"), 8000)
		blnIncludeBasket = (strAppBasketContentsOnContact = "always") or (strAppBasketContentsOnContact = "enquiry" and strCallMode = "enquiry") or (strAppBasketContentsOnContact = "user" and request.Form("strIncludeBasket") = "y")
				
		'Error checks
		strErrors = strErrors & CheckBlank(GetString("ContentText_YourName"), strContactName, "strContactName")
		strErrors = strErrors & CheckEmail(GetString("FormLabel_EmailAddress"), strContactEmail, "strContactEmail")
		strErrors = strErrors & CheckBlank(GetString("ContentText_YourMessageComments"), strContactComments, "strContactComments")
		

		If strErrors = "" then
			'Send email
			strBodyText = GetString("EmailText_ContactStart") & vbcrlf & "http://" & request.ServerVariables("HTTP_HOST") & request.ServerVariables("URL") & vbcrlf & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_ContactEmailBreaker") & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_ContactName") & ": " & strContactName & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_ContactEmail") & ": " & strContactEmail & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_ContactIP") & ": " & request.ServerVariables("REMOTE_ADDR") & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_ContactDateStamp") & ": " & NowOffset & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_ContactEmailBreaker") & vbcrlf
			strBodyText = strBodyText & strContactComments & vbcrlf
			strBodyText = strBodyText & GetString("EmailText_ContactEmailBreaker") & vbcrlf
			
			If blnIncludeBasket then
				strBodyText = strBodyText & GetString("EmailText_ContactBasketContents") & vbcrlf
				For i = 0 to objBasket.Count - 1
					With objBasket.Item(i)
						If .ProductType = "s" then
							strBodyText = strBodyText & .Quantity & " x " & .ProductName & " (" & .CodeNumber & ")" & vbcrlf
						Else
							strBodyText = strBodyText & .Quantity & " x " & .ProductName & " - " & .VersionName & " (" & .CodeNumber & ")" & vbcrlf
						End If
					End With
				Next
				strBodyText = strBodyText & GetString("EmailText_ContactEmailBreaker") & vbcrlf
			End If			
			
			If Application(LICENSENUMBER & "spoofcontactemail") = "y" then
				Call SendEMail(GetAppVar("emailmethod"), GetAppVar("mailserver"), strEmailToContact, "", "", strEmailToContact, strContactName, strEmailToContact, strContactName, GetString("Config_SubjectLine4"), strBodyText, "", false)
			Else
				Call SendEMail(GetAppVar("emailmethod"), GetAppVar("mailserver"), strEmailToContact, "", "", strContactEmail, strContactName, strContactEmail, strContactName, GetString("Config_SubjectLine4"), strBodyText, "", false) 
			End If %>
			
			<p><% WriteString("ContentText_MailWasSent") %></p><%
		End if
		
	Else
		'Default the values to the session
		strContactName = objCactuSession.Value("C_CardholderName")
		strContactEmail = objCactuSession.Value("C_EmailAddress")
		
		If strCallMode = "enquiry" then blnIncludeBasket = true
		
	End If
	
	If not blnSubmitted or strErrors <> "" then
		If strErrors <> "" then 
			strErrors = FormatErrors(strErrors) %>
			<div class="errors"><strong><% WriteString("ContentText_CorrectErrors") %></strong><%= strErrors %></div><%
		end if 

		'-----------------------------------------------
		'DISPLAY FORM
		'-----------------------------------------------
		%>
		<form action="contact.asp" method="post"><div class="box inputform">
			<%= objCactuSession.Form %>
			<input type="hidden" name="strCallMode" value="<%= strCallMode %>" />
			
			<h2><% WriteString("ContentText_YourContactDetails") %></h2>
			<label for="strContactName"><% WriteString("ContentText_YourName") %></label>
			<div><input type="text" name="strContactName" id="strContactName" value="<%= WriteSafe(strContactName) %>" /></div><br />
			
			<label for="strContactEmail"><% WriteString("ContentText_YourEmail") %></label>
			<div><input type="text" name="strContactEmail" id="strContactEmail" value="<%= WriteSafe(strContactEmail) %>" /></div><br />
					
			<h2><label for="strContactComments"><% WriteString("ContentText_YourMessageComments") %></label></h2>
			<div><textarea name="strContactComments" id="strContactComments" cols="40" rows="4"><%= WriteSafe(strContactComments) %></textarea></div><br />
			
			<% if strAppBasketContentsOnContact = "user" and objBasket.TotalItems > 0 then %>
			<div class="column2"><input class="checkbox" type="checkbox" name="strIncludeBasket" id="strIncludeBasket" value="y"<%= IIf(blnIncludeBasket, " checked=""checked""", "") %> />
			<label class="checklabel" for="strIncludeBasket"><% WriteString("ContentText_IncludeBasketInEmail") %></label></div><br /><%
			end if %>

			<input class="submit" name="submit" type="submit" value="<% WriteSafeString("FormButton_Submit") %>" />
		</div></form>
		
		<p><%= Replace(GetString("ContentText_AddressAndPhoneContact"), vbcrlf, "<br />") %></p>

	<% end if %>
</div>
<%
'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(1))

Call EndPage()
%>
