<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'CUSTOMER SECURITY
'Only requires
'log in if either the page specifies it with
'setting blnMustBeLoggedIn = true set before 
'the buildpage - or if the site is set up to
'require login on every page.
'-----------------------------------------------
Function LogOut(blnClearSession, blnRequireLogin, strMessage)
	'First, clear the session
	If blnClearSession then
		objCactuSession.Delete "C_EmailAddress"
		objCactuSession.Delete "C_Password"
	End If
	
	'Is redirection required?
	If GetAppVar("mustbeloggedin") = "yes" then
		'The site requires the user to be logged in. Redirect unless they're on 
		'	- customer_account.asp (login page)
		'	- c.asp (authorize page)
		'	- emailreminder.asp (password reminder page)
		'	- a callback page (callbacks may not be able to check session)

		'Get the current page details
		strPage = request.ServerVariables("PATH_INFO")
		
		'just get the name of the page from the script name
		intLastSlash = instrrev(strPage, "/")
		if intLastSlash > 0 then strScriptName = mid(strPage, intLastSlash + 1)

		If not (instr(strPage, "/customer_account.asp") > 0 or instr(strPage, "/c.asp") > 0 or instr(strPage, "/emailreminder.asp") > 0 or instr(strScriptName, "/callback.asp") > 0) then
			'Redirect to login page
			Call EndPage()
			response.Redirect(strTemplateShopFolder & "customer_account.asp?" & strSessionQS)
		End If
	
	ElseIf blnRequireLogin then
		'We're on a special page which requirets a login (custom
		'account pages) so just redirect to login page
		Call EndPage()
		response.Redirect(strTemplateShopFolder & "customer_account.asp?" & strSessionQS & "strMessage=" & strMessage)
		
	Else
		'Anything else we don't do anything. They can happily stay
		'logged out
	
	End If
	
End Function

'Make sure we're dealing with a boolean
blnMustBeLoggedIn = (blnMustBeLoggedIn = true)
blnLoggedIn = false
DB_C_ID = 0

'Get login stuff from account
C_EmailAddress = DualRequest("C_EmailAddress")
C_Password = DualRequest("C_Password")
If C_EmailAddress = "" then C_EmailAddress = objCactuSession.Value("C_EmailAddress")
If C_Password = "" then C_Password = objCactuSession.Value("C_Password")


If C_EmailAddress <> "" and C_Password <> "" then

	If CheckEmail("", C_EmailAddress, "") <> "" then
		LogOut false, blnMustBeLoggedIn, "email"
	End if

	'-----------------------------------------------
	'PULL OUT CARDHOLDER RECORD	
	'-----------------------------------------------
	If SOFTWARE_IS_PRO Then
		strQuery = GetCustomerSecurityQuery(C_EmailAddress, C_Password)
	Else
		strQuery = "SELECT C_ID, C_EmailAddress, C_Password, C_CustomerDiscount, C_IsAffiliate, C_AffiliateCommission, C_LanguageID, C_CardHolderName, C_CardHolderCounty FROM tblCactuShop" & TABLE_PREFIX & "Customers WHERE C_EmailAddress=" & strUnicode & "'" & SQLSafe(C_EmailAddress) & "' AND C_Password=" & strUnicode & "'" & SQLSafe(C_Password) & "'"
	End If
	Call ExecuteRS(strQuery, objRecordSet)
	numRecordCount = objRecordSet.RecordCount
	If objRecordSet.BOF and objRecordSet.EOF then
		objRecordSet.Close 
		LogOut false, blnMustBeLoggedIn, "notfound"
	Else
		If lcase(objRecordSet("C_EmailAddress")) <> lcase(C_EmailAddress) OR objRecordSet("C_Password") <> C_Password then
			objRecordSet.Close
			LogOut false, blnMustBeLoggedIn, "notfound"
		Else
			'This will be useful on other pages
			DB_C_ID = objRecordSet("C_ID")
			DB_C_EmailAddress = objRecordSet("C_EmailAddress")
			DB_C_CustomerDiscount = objRecordSet("C_CustomerDiscount")
			DB_C_CardHolderName = objRecordSet("C_CardHolderName")
			DB_C_CardHolderCounty = objRecordSet("C_CardHolderCounty")
			DB_C_IsAffiliate = objRecordSet("C_IsAffiliate")
			DB_C_AffiliateCommission = objRecordSet("C_AffiliateCommission")
			
			'Set customer group settings
			If SOFTWARE_IS_PRO Then
				DB_CG_ID = GetCustomerGroupID(objRecordSet)
				DB_C_CustomerDiscount = GetCustomerDiscount(DB_C_CustomerDiscount, NumSafe(objRecordSet("CG_Discount")))
			End If

			'Set user language from their record
			If blnChangeLanguage = false then
				numLanguageID = objRecordSet("C_LanguageID")
				If numLanguageID = 0 then numLanguageID = 1 'defend against errant 'zero' records which should never happen
				objCactuSession.Edit "numLanguageID", numLanguageID
			End if

			objRecordSet.Close
			blnLoggedIn = true

			'In config_init we set a bln to note that the user
			'had selected a new language from dropdown. If they are
			'logged in, we can update their record so they get this
			'new language as preference for newsletter, emails, etc.

			If blnChangeLanguage = true then
				strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Customers SET C_LanguageID=" & numLanguageID & " WHERE C_ID=" & DB_C_ID		
				Call ExecuteNonQuery(strQuery)
			End if

		End If
	end If

Elseif C_EmailAddress = "" AND C_Password = "" then
 
	LogOut false, blnMustBeLoggedIn, "login"

Elseif C_EmailAddress = "" then
 
	LogOut false, blnMustBeLoggedIn, "noemail"

Elseif C_Password = "" then
 
	LogOut false, blnMustBeLoggedIn, "nopassword"
End If

DB_CG_ID = NumSafe(DB_CG_ID)
%>
