<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "68, 119, 151, 155, 157, 158, 203, 222, 1017, 1763, 1777, 1803" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/customer_security.asp"-->
<!--#include file="includes/buildpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'SITE MAP
'Does a hierachical display of all the main 
'"pages" on the site. This covers:
'-	categories
'-	customer pages
'-	custom pages
'-----------------------------------------------

'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE					
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)
response.write(aryPageTemplate(0))
Set objSiteMapDynamicLinks = New DynamicLinks

Function DoCats(objCategoriesDictionary, objSubCategoriesDictionary, numMotherID, strParentNames, strParentIDs)
	
	If numMotherID <> 0 then
		strCatLinkName = objCategoriesDictionary.Item(Clng(numMotherID))
		strURL = objSiteMapDynamicLinks.GetCategoryLink(numMotherID, strCatLinkName, Split(strParentIDs, ","), Split(strParentNames, chr(0)), 1)
		response.write vbcrlf & "<li><a href=""" & strURL & """>" & strCatLinkName & "</a>"
		
	end if
	
	'If there are any sub categories for this category
	If objSubCategoriesDictionary.Exists(NumSafe(numMotherID)) then
		'Get all sub categories and loop through them
		arySubCategories = split(objSubCategoriesDictionary.Item(NumSafe(numMotherID)), ",")
		blnDoneOneSubCat = false
		For each intSubCategory in arySubCategories
			If isnumeric(intSubCategory) then
				'Add the sub category to the end of the trail and call the function with the new sub-cat
				If Not blnDoneOneSubCat then 
					response.Write "<ul>" & vbcrlf
					blnDoneOneSubCat = true
				end if
				Call DoCats(objCategoriesDictionary, objSubCategoriesDictionary, intSubCategory, IIf(strParentNames = "", strCatLinkName, strParentNames & chr(0) & strCatLinkName), IIf(strParentIDs = "", numMotherID, strParentIDs & "," & numMotherID))
			end if
		Next
		If blnDoneOneSubCat then response.Write "</ul>" & vbcrlf
	end if
	
	response.Write "</li>" & vbcrlf
	
end Function

strQuery = "SELECT c.CAT_ID, c.CAT_Name" & CStr(numLanguageID) & ", p.CAT_ID As ParentID FROM (tblCactuShop" & TABLE_PREFIX & "Categories AS c LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "CategoryHierachy ch ON c.CAT_ID = ch.CH_ChildID) LEFT OUTER JOIN tblCactuShop" & TABLE_PREFIX & "Categories p ON ch.CH_ParentID = p.CAT_ID  WHERE c.CAT_Live='y' AND c.CAT_CustomerGroupID IN (0," & DB_CG_ID & ") ORDER BY c." & strCategoryOrderBy
Call ExecuteRS(strQuery, objRecordSet)
					
'-------------------------------------------------------------
' WRITE OUT CATEGORIES SELECT
'-------------------------------------------------------------
'Create dictionary objects that hold all the category information
Set objCategoryDictionary = server.CreateObject("Scripting.Dictionary")		'Key - ID, Value - name of category
Set objParentDictionary = server.CreateObject("Scripting.Dictionary")		'Key - Mother ID, Value - comma-seperated IDs

'Loop for every prodtype pulled out
Do Until objRecordSet.EOF
	'get repeated recordset values
	numChildID = objRecordSet("CAT_ID")
	numParentID = NumSafe(objRecordSet("ParentID"))
	strCategoryName = objRecordSet("CAT_Name" & CStr(numLanguageID))

	'If it's in the correct language...
	if strCategoryName <> "" then
		'add to the categories dictionary if it doesn't already exist
		If Not objCategoryDictionary.Exists(numChildID) Then
			objCategoryDictionary.Add numChildID, strCategoryName
		End If
		
		'add it to parent dictionary - if it already exists, add it on
		'to the end of the list. If not, create a new entry
		if objParentDictionary.Exists(numParentID) then
			objParentDictionary.Item(numParentID) = objParentDictionary.Item(numParentID) & numChildID & ","
		else
			objParentDictionary.Add numParentID, numChildID & ","
		end if
	end if
	objRecordSet.movenext
Loop
objRecordSet.Close

aryTopLevels = Split(objParentDictionary.Item(0), ",") %>

<h1><% WriteString("ContentText_SiteMap") %></h1>
<div class="sitemap">
	<ul>
		<li class="boxinset"><div class="pad"><ul>
			<li><a href="default.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_Home") %></a></li>
			<li><a href="search.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_Search") %></a></li>

			<% If GetAppVar("catalogueonly") <> "y" then %>
			<li><a href="basket.asp?<%= objCactuSession.QS %>"><% WriteString("ContentText_Basket") %></a></li>
			<% end if %>

			<li><a href="customer_home.asp?<%= objCactuSession.QS %>"><% WriteString("PageTitle_MyAccount") %></a></li>
			<li><a href="contact.asp?<%= objCactuSession.QS %>"><% WriteString("PageTitle_ContactUs") %></a></li>
			<% if SOFTWARE_IS_PRO then %>
			<li><a href="promotions.asp?<%= objCactuSession.QS %>"><% WriteString("PageTitle_Promotions") %></a></li><%
			end if

			If GetAppVar("enablewishlist") <> "n" AND GetAppVar("catalogueonly") <> "y" then %>
			<li><a href="wishlist.asp?<%= objCactuSession.QS %>"><% WriteString("SubHeading_WishLists") %></a></li><%
			end if %>

			<% If GetAppVar("catalogueonly") <> "y" then %>
			<li><a href="shipping.asp?<%= objCactuSession.QS %>"><% WriteString("PageTitle_ShippingRates") %></a></li>
			<li><a href="speedorder.asp?<%= objCactuSession.QS %>"><% WriteString("PageTitle_SpeedOrder") %></a></li>
			<% end if %>

			<% If GetAppVar("enablemailinglist") <> "n" then %>
			<li><a href="mailinglist.asp?<%= objCactuSession.QS %>"><% WriteString("PageTitle_MailingList") %></a></li>
			<% end if

			'Add in content pages 
			strQuery = "SELECT PAGE_ID, PAGE_Title" & numLanguageID & " FROM tblCactuShop" & TABLE_PREFIX & "Pages WHERE PAGE_Title" & numLanguageID & " <> '' AND PAGE_Live = 'y'"
			Call ExecuteRS(strQuery, objRecordSet)
			Do While not objRecordSet.EOF
				PAGE_ID = objRecordSet("PAGE_ID")
				PAGE_Title = objRecordSet("PAGE_Title" & numLanguageID) %>
				<li><a href="<%= objSiteMapDynamicLinks.GetPageLink(PAGE_ID) %>"><%= PAGE_Title %></a></li><%
				objRecordSet.MoveNext
			Loop 
			objRecordSet.Close %>
		</ul></div></li>

		<li class="boxinset"><div class="pad"><h2><a href="prodtype.asp?<%= objCactuSession.QS %>"><% WriteString("PageTitle_ProductCategories") %></a></h2><ul><%
			aryTopLevels = Split(objParentDictionary.Item(0), ",")
			For Each strCat in aryTopLevels
				If strCat <> "" then
					DoCats objCategoryDictionary, objParentDictionary, Clng(strCat), "", ""
				end if
			Next 
		%></ul></div></li>
	</ul>
</div>
<%				
'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(1))
Call EndPage()
%>
