<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "359, 401, 402, 549, 550, 570, 579, 580, 581, 583, 584, 586, 587, 588, 1298, 1299, 1300, 1301, 1302, 1449"
strThisBackPage = "products" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/functions_backend.asp"-->
<!--#include file="includes/back_security.asp"-->
<!--#include file="includes/back_productpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'This function checks a version code doesn't exist. It supports passing
'a product ID. Because we'll be deleting all versions before recreating,
'it doesn't matter if a codenumber matches one that is about to be deleted
Function CheckVersionCode(numVersionCode, numProduct)
	strQuery = "SELECT V_ID FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_CodeNumber = " & strUnicode & "'" & SQLSafe(numVersionCode) & "' AND NOT V_ProductID = " & numProduct
	Call ExecuteRS(strQuery, objRecordSet)
	If objRecordSet.RecordCount < 1 Then
		CheckVersionCode = "OK"
	Else
		CheckVersionCode = objRecordSet(0)
	End If
	objRecordSet.Close
End Function

'-----------------------------------------------
'COMBINATIONS PROCESS
'Errors checks then creates all the combinations
'for a product
'-----------------------------------------------
'Get base form values
V_ProductID = NumSafe(DualRequest("V_ProductID"))
CAT_ID = NumSafe(DualRequest("CAT_ID"))
V_Live = request.form("V_Live")
V_Tax = request.form("V_Tax")
V_Desc = request.form("V_Desc")
V_RRP = request.form("V_RRP")
numCombinations = request.form("numCombinations")
blnCreateCombinations = (request.Form("strCreateCombinations") = "y")

strCallMode = DualRequest("strCallMode")

baseV_ID = numsafe(request.Form("baseV_ID"))

If strCallMode = "del" then

	Set objFileSystem = Server.CreateObject("Scripting.FileSystemObject")
	aryImageFileTypes = Split(GetAppVar("allowedimages"), ",")
	
	'Get all the base and combo versions for this product to delete them
	strQuery = "SELECT V_ID FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_ProductID = " & V_ProductID
	Call ExecuteRS(strQuery, objRecordSet)
	Do Until objRecordSet.EOF
		DeleteVersion objRecordSet(0), objFileSystem, strPath, aryImageFileTypes
		objRecordSet.MoveNext
	Loop
	objRecordSet.Close
	
	'Delete option selections for this product
	strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink WHERE P_OPTG_ProductID = " & V_ProductID
	Call ExecuteNonQuery(strQuery)
	strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "ProductOptionLink WHERE P_OPT_ProductID = " & V_ProductID
	Call ExecuteNonQuery(strQuery)
	
	'Go back to combination set
	Set objFileSystem = Nothing

elseif strCallMode = "upd" then

	'Delete combinations for this product that were previously suspended
	strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_Type = 's' AND V_ProductID = " & V_ProductID
	Call ExecuteNonQuery(strQuery)

	'Set the combinations for this product to type 's' (for 'suspended')
	strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Versions SET V_Type = 's' WHERE (V_Type = 'c' AND V_ProductID = " & V_ProductID & ")"
	Call ExecuteNonQuery(strQuery)

	response.redirect("_combinations_set.asp?P_ID=" & V_ProductID & "&CAT_ID=" & CAT_ID)

	
else
	'---------------------------------------------------------
	'CREATE COMBINATIONS
	'---------------------------------------------------------
	If blnCreateCombinations then 
		'Dim arrays for all the multiple fields
		Redim V_Price(numCombinations)
		Redim V_Weight(numCombinations)
		Redim V_Name(numCombinations, numTotalLanguages)
		Redim V_CodeNumber(numCombinations)
		Redim V_Quantity(numCombinations)
		Redim V_QuantityWarnLevel(numCombinations)
		Redim V_Options(numCombinations)

		'Read in all the values and error check each one
		For i = 1 to numCombinations
			V_Price(i) = request.Form(i & "V_Price")
			V_Weight(i) = request.Form(i & "V_Weight")
			For numCount = 1 to numTotalLanguages	
				V_Name(i, numCount) = request.Form(i & "V_Name" & numCount)
			Next
			V_CodeNumber(i) = request.Form(i & "V_CodeNumber")
			V_Quantity(i) = request.Form(i & "V_Quantity")
			V_QuantityWarnLevel(i) = request.Form(i & "V_QuantityWarnLevel")
			V_Options(i) = request.Form(i & "V_Options")
			
			
			'Error checks
			strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_Price") & " " & i, V_Price(i))
			strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_CodeNumer") & " " & i, V_CodeNumber(i))
			strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_CodeNumer") & " " & i, V_CodeNumber(i), GetAppVar("V_CodeNumber_AL"))

			AllNamesBlank = true
			For numCount = 1 to numTotalLanguages
				'If it's live on the front, then it can't be blank
				If aryLangLiveFront(numCount) = "y" then
					AllNamesBlank = AllNamesBlank and V_Name(i, numCount) = ""
				end if
				
				'check them for length
				strErrorMsg = BackendCheckLength(strErrorMsg, numErrorNo, GetString("FormLabel_VersionName") & " " & i & " (" & CStr(numCount) & ")", V_Name(i, numCount), GetAppVar("V_Name_AL"))
			next
			If AllNamesBlank then strErrorMsg = BackendCheckBlank(strErrorMsg, numErrorNo, GetString("FormLabel_VersionName") & " " & i, "")
				
			If Not IsNumeric(V_Quantity(i)) Then
				numErrorNo = numErrorNo + 1
				strErrorMsg = strErrorMsg + "<b>" + CStr(numErrorNo) + ".</b> " + GetString("ContentText_ErrorChkQuantityIsNumeric") & " (" & i & ")<br />"
			End if

			If Not IsNumeric(V_QuantityWarnLevel(i)) Then
				numErrorNo = numErrorNo + 1
				strErrorMsg = strErrorMsg + "<b>" + CStr(numErrorNo) + ".</b> " + GetString("ContentText_ErrorChkQuantityWarnLevelIsNumeric") & " (" & i & ")<br />"
			End if

			strVersionCode = CheckVersionCode(V_CodeNumber(i), V_ProductID)
			If Not strVersionCode = "OK" Then
				numErrorNo = numErrorNo + 1
				strErrorMsg = strErrorMsg + "<b>" + CStr(numErrorNo) + ".</b> " + GetString("ContentText_ErrorChkVIDCodeNumer") & " (" & V_CodeNumber(i) & ") " & GetString("ContentText_ErrorChkVIDAlreadyInUse") & " " & strVersionCode & ". <br /><br /><span class=""small""><a href=""_modify_version.asp?" & objCactuSession.QS & "V_ID=" & strVersionCode & """ target=""_blank"">" & GetString("ContentText_ErrorChkVIDViewThatVersion") & "</a></span><br />"
			End if	
			
		Next
	
	end if '// create combinations

	If strErrorMsg = "" then

		'---------------------------------------------------------
		'CREATE 1 BASE VERSION
		'This is created for both. It represents the base information
		'entered. 
		'---------------------------------------------------------
		'Get the names of the product
		ReDim P_Name(numTotalLanguages)
		strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Products WHERE P_ID = " & V_ProductID
		Call ExecuteRS(strQuery, objRecordSet)
		If objRecordSet.BOF And objRecordSet.EOF then
			objRecordSet.Close
			Call EndPage()
			response.Redirect("_default.asp?" & strSessionQS)
		End If
		
		for numCount = 1 to numTotalLanguages
			P_Name(numCount) = objRecordSet("P_Name" & numCount) & ""
		next
		objRecordSet.Close

		'Get base values
		baseV_CodeNumber = request.Form("V_CodeNumber")
		baseV_Price = request.Form("V_Price")
		baseV_Weight = request.Form("V_Weight")
		baseV_Quantity = request.Form("V_Quantity")
		baseV_QuantityWarnLevel = request.Form("V_QuantityWarnLevel")			
		
		'Update/Insert the version
		If baseV_ID = 0 then
			strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "Versions ("
			For numCount = 1 to numTotalLanguages
				If aryLangLiveBack(numCount) = "y" then strQuery = strQuery & "V_Name" & CStr(numCount) & ", V_Desc" & CStr(numCount) & ", "
			next
			strQuery = strQuery & "V_CodeNumber, V_Price, V_Tax, V_Weight, V_Quantity, V_QuantityWarnLevel, V_DeliveryTime, V_DownloadInfo, V_DownloadType, V_ProductID, V_Live, V_OrderByValue, V_RRP, V_Type) VALUES("
			For numCount = 1 to numTotalLanguages
				If aryLangLiveBack(numCount) = "y" then strQuery = strQuery & strUnicode & "'" & SQLSafe(P_Name(numCount)) & "', '', "
			next
			strQuery = strQuery & strUnicode & "'" &_
 				SQLSafe(baseV_CodeNumber) & "'," &_
				baseV_Price & "," &_
				V_Tax & ", " &_
				baseV_Weight & "," &_
 				baseV_Quantity & "," &_
  				baseV_QuantityWarnLevel & "," &_				
 				0 & ",'" &_
 				"','" &_
 				"n'," &_
 				V_ProductID & ",'" &_
				SQLSafe(V_Live) & "'," &_
				0 & "," &_
				V_RRP & ",'" & IIf(blnCreateCombinations, "b", "o") & "')"		
		Else
			'If we're doing combinations, then skip out some of the fields, as they aren't
			'being updated
			If blnCreateCombinations then		
				strQuery="UPDATE tblCactuShop" & TABLE_PREFIX & "Versions SET "
				for numCount = 1 to numTotalLanguages
					If arylangliveback(numCount) = "y" then strQuery = strQuery & "V_Name" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(P_Name(numCount)) & "',"
				next
				strQuery = strQuery &_
					"V_Price=" & baseV_Price & "," &_
					"V_Tax=" & V_Tax & "," &_
					"V_Weight=" & baseV_Weight & "," &_
					"V_Live='" & SQLSafe(V_Live) & "'," &_
					"V_ProductID=" & V_ProductID & ", " &_
					"V_Type='b', " &_
					"V_RRP=" & V_RRP & " WHERE V_ID=" & baseV_ID
			else
				strQuery="UPDATE tblCactuShop" & TABLE_PREFIX & "Versions SET "
				for numCount = 1 to numTotalLanguages
					If arylangliveback(numCount) = "y" then strQuery = strQuery & "V_Name" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(P_Name(numCount)) & "',"
				next
				strQuery = strQuery &_
					"V_CodeNumber=" & strUnicode & "'" & SQLSafe(baseV_CodeNumber) & "'," &_
					"V_Price=" & baseV_Price & "," &_
					"V_Tax=" & V_Tax & "," &_
					"V_Weight=" & baseV_Weight & "," &_
					"V_Quantity=" & baseV_Quantity & "," &_
  					"V_QuantityWarnLevel=" & baseV_QuantityWarnLevel & "," &_				
					"V_Live='" & SQLSafe(V_Live) & "'," &_
					"V_ProductID=" & V_ProductID & ", " &_
					"V_Type='o', " &_
					"V_RRP=" & V_RRP & " WHERE V_ID=" & baseV_ID
			end if			
		end if			
			
		
		Call ExecuteNonQuery(strQuery)
		If blnCreateCombinations then

			'---------------------------------------------------------
			'DELETE TEMPORARY COMBINATIONS
			'i.e. versions with type set to 's'. Otherwise next time
			'we go to edit the product, these are still knocking
			'about.
			'---------------------------------------------------------
			strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_ProductID = " & NumSafe(P_ID) & " AND V_Type = 's'"
			Call ExecuteNonQuery(strQuery)

			'---------------------------------------------------------
			'INSERT COMBINATIONS IN TO DATABASE
			'---------------------------------------------------------
			For i = 1 to numCombinations
				
				'Insert / update each version. This is made up of base values and specific-for-this combination values
				'which are stored in the arrays set above. We set the order-by value to the combination order
				V_ID = numsafe(request.Form(i & "V_ID"))
				If V_ID = 0 then
					'Insert
					strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "Versions ("
					For numCount = 1 to numTotalLanguages
						If aryLangLiveBack(numCount) = "y" then strQuery = strQuery & "V_Name" & CStr(numCount) & ", V_Desc" & CStr(numCount) & ", "
					next
					strQuery = strQuery & "V_CodeNumber, V_Price, V_Tax, V_Weight, V_Quantity, V_QuantityWarnLevel, V_DeliveryTime, V_DownloadInfo, V_DownloadType, V_ProductID, V_Live, V_OrderByValue, V_RRP, V_Type) VALUES("
					For numCount = 1 to numTotalLanguages
						If aryLangLiveBack(numCount) = "y" then strQuery = strQuery & strUnicode & "'" & SQLSafe(V_Name(i, numCount)) & "', " & strUnicode & "'" & SQLSafe(V_Desc) & "', "
					next
					strQuery = strQuery & strUnicode & "'" &_
 						SQLSafe(V_CodeNumber(i)) & "'," &_
						V_Price(i) & "," &_
						V_Tax & ", " &_
						V_Weight(i) & "," &_
 						V_Quantity(i) & "," &_
  						V_QuantityWarnLevel(i) & "," &_				
 						0 & ",'" &_
 						"','" &_
 						"n'," &_
 						V_ProductID & ",'" &_
						SQLSafe(V_Live) & "'," &_
						i & "," &_
						V_RRP & ",'c')"
						
						Call ExecuteNonQuery(strQuery)
					
						'Get the ID of the new version
						V_ID = ExecuteScalar("SELECT V_ID FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_CodeNumber = " & strUnicode & "'" & SQLSafe(V_CodeNumber(i)) & "'")
						
						'Add in the options for this item
						VersionOptions V_ID, Split(V_Options(i), ", ")
						
				else
					'Update
					strQuery="UPDATE tblCactuShop" & TABLE_PREFIX & "Versions SET "
					for numCount = 1 to numTotalLanguages
						If arylangliveback(numCount) = "y" then strQuery = strQuery & "V_Name" & CStr(numCount) & "=" & strUnicode & "'" & SQLSafe(V_Name(i, numCount)) & "',"
					next
					strQuery = strQuery &_
						"V_CodeNumber=" & strUnicode & "'" & SQLSafe(V_CodeNumber(i)) & "'," &_
						"V_Price=" & V_Price(i) & "," &_
						"V_Tax=" & V_Tax & "," &_
						"V_Weight=" & V_Weight(i) & "," &_
						"V_Quantity=" & V_Quantity(i) & "," &_
						"V_QuantityWarnLevel=" & V_QuantityWarnLevel(i) & "," &_			 			 			 
						"V_ProductID=" & V_ProductID & ", " &_
						"V_RRP=" & V_RRP & " WHERE V_ID=" & V_ID
						Call ExecuteNonQuery(strQuery)
				end if
				
				
			Next
			
		End If '// insert combinations	
		
			
		'---------------------------------------------------
		'Now we need to add in all the links between product
		'and options. 
		'Don't do this if baseV_ID > 0 (i.e. editing) and
		'we're doing combinations, as option selections haven't
		'changed
		'---------------------------------------------------

		'Get all option groups
		strOptionGroups = request.Form("strOptionGroups")
		aryOptionGroups = split(strOptionGroups, ", ")		

    If strOptionGroups <> "" then
      'delete any links between product and option groups
      strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink WHERE P_OPTG_ProductID = " & V_ProductID
      Call ExecuteNonQuery(strQuery)
        
      'Delete any links between product and options
      strQuery = strDeleteStatementSyntax & " tblCactuShop" & TABLE_PREFIX & "ProductOptionLink WHERE P_OPT_ProductID = " & V_ProductID
      Call ExecuteNonQuery(strQuery)
        
      'Get all option groups
      For Each OPTG_ID in aryOptionGroups
          
        'Get the ordering value for this option group
        numGroupOrder = request.Form(OPTG_ID & "numGroupOrder")
        numSelected = request.Form(OPTG_ID & "numSelected")
          
        'Insert the the product-optiongroup link
        strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "ProductOptionGroupLink (P_OPTG_ProductID, P_OPTG_OptionGroupID, P_OPTG_OrderByValue) VALUES (" & V_ProductID & "," & OPTG_ID & "," & numGroupOrder & ")"
        Call ExecuteNonQuery(strQuery)
          
        'Now pull out all the options in this group
        strOptions = request.Form(OPTG_ID & "strOptions")
        aryOptions = Split(strOptions, ", ")
        For Each OPT_ID in aryOptions
          'Get out all the information
          P_OPT_OrderByValue = request.Form(OPT_ID & "numOptionOrder")
          P_OPT_Weightchange = request.Form(OPT_ID & "numWeightChange")
          P_OPT_PriceChange = request.Form(OPT_ID & "numPriceChange")
            
          If numSelected & "" = OPT_ID & "" then P_OPT_Selected = "y" else P_OPT_Selected = "n"
            
          'Insert the product-option link
          strQuery = "INSERT INTO tblCactuShop" & TABLE_PREFIX & "ProductOptionLink (P_OPT_OptionID, P_OPT_ProductID, P_OPT_OrderByValue, P_OPT_PriceChange, P_OPT_WeightChange, P_OPT_Selected) VALUES (" &_
            OPT_ID & "," &_
            V_ProductID & "," &_
            P_OPT_OrderByValue & "," &_
            P_OPT_PriceChange & "," &_
            P_OPT_WeightChange & "," &_
            "'" & SQLSafe(P_OPT_Selected) & "')"
          Call ExecuteNonQuery(strQuery)
        Next
          
      Next
     End if
	end if '// no errors

end if '// callmode = del

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
	<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
	<td valign="top">
		<%= strProductHTML %>
		<table border="0" cellpadding="5" cellspacing="0" width="100%">
			<% If blnComfirmDelete then %>
				<tr>
					<td><h1><% WriteString("PageTitle_DeleteCombinations") %></h1></td>
				</tr>
				<tr>
					<td><% WriteString("ContentText_DeleteCombinationsConfirm") %></td>
				</tr>
				<tr>
					<td align="center"><a href="_combinations_process.asp?<%= objCactuSession.QS %>strCallMode=del&amp;strConfirm=y&amp;V_ProductID=<%=V_ProductID%>&amp;<%=strProductQS%>"><% WriteString("ContentText_DeleteCombinationsYes") %></a>&nbsp;|&nbsp;<a href="__combinations_set.asp?<%=strProductQS%>"><% WriteString("ContentText_DeleteCombinationsNo") %></a></td>
				</tr>			
			<% elseif strErrorMsg <> "" then %>
				<tr>
					<td><h1><% WriteString("PageTitle_Problems") %></h1></td>
				</tr>
				<tr>
					<td><% WriteString("ContentText_PleaseGoBackAndCorrect") %></td>
				</tr>
				<tr>
					<td><% =strErrorMsg %></td>
				</tr>	
				<tr>
					<td class="small"><br /><br /><a href="javascript:history.back()">&#171; <% WriteString("ContentText_BackLink") %></a></td>
				</tr>	
			<% else %>
				<tr>
					<td><h1><% WriteString("PageTitle_Updated") %></h1></td>
				</tr>
				<tr>
					<td><% WriteString("ContentText_OptionsUpdated") %></td>
				</tr>
			<% end if %>
		</table>
	</td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
