<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "400, 1419, 1420, 1421, 1422, 1423, 1424"
strThisBackPage = "config" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY CURRENCY RATES
'We pull out all currencies, and look them up
'on a currency site. The user then gets to check
'the new figures and submit them. Uses the same
'update script and _modify_currencyrate.asp.
'-----------------------------------------------
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Currencies ORDER BY CUR_ID"
Call ExecuteRS(strQuery, objRecordSet) 

'Create an array to hold the information 0
numTotalCurrencies = objRecordSet.RecordCount
Redim aryCurrencyData(numTotalCurrencies - 1, 4) 
i = 0
Do While not objRecordSet.EOF
	'Get db information
	aryCurrencyData(i, 0) = objRecordSet("CUR_ID")
	aryCurrencyData(i, 1) = objRecordSet("CUR_Name" & CStr(numLanguageID))
	aryCurrencyData(i, 2) = objRecordSet("CUR_ISOCode")
	aryCurrencyData(i, 3) = objRecordSet("CUR_ExchangeRate")
	
	'Build up the request details
	If i = 0 then
		strBaseCurrency = aryCurrencyData(i, 2)
		aryCurrencyData(i, 4) = 1
	Else
		strRequestCurrencies = IIf(strRequestCurrencies = "", aryCurrencyData(i, 2), strRequestCurrencies & "," & aryCurrencyData(i, 2))
		aryCurrencyData(i, 4) = "#"
	End If
	objRecordSet.MoveNext
	i = i + 1
Loop
objRecordSet.Close

'Load examples.xml into objMainXML
set objMainXML = Server.CreateObject(GetAppVar("XMLDOMDocument"))
objMainXML.async=false
objMainXML.setProperty "ServerHTTPRequest", true

'We pass the license number as the ASP page checks to see if you are a proper licensed user
objMainXML.load("http://www.cactushop.com/requests/currencyrates/?l=" & LICENSENUMBER & "&ver=" & CACTUSHOPVERSION & "&base=" & strBaseCurrency & "&rates=" & strRequestCurrencies)
if objMainXML.parseError.errorcode = 0 then
	
	'Successful request?
	strError = ""
	If NumSafe(objMainXML.selectSingleNode("//CactuShopCurrencyRates/Response/Code").Text) = 0 then
		
		'Loop through all results
		Set objNodeList = objMainXML.selectNodes("//CactuShopCurrencyRates/Currencies/Currency") 
		numCurrencyItems = objNodeList.Length
		if numCurrencyItems > 0 then
			For i = 0 to numCurrencyItems - 1
			
				'Put all the values into variables
				strISO = objNodeList.Item(i).selectSingleNode("ISO").Text
				numRate = NumSafe(objNodeList.Item(i).selectSingleNode("Rate").Text)
				
				'Loop through all currencies and set the new rate
				For j = 0 to numTotalCurrencies - 1
					If aryCurrencyData(j, 2) = strISO then
						aryCurrencyData(j, 4) = IIf(numRate = 0, "#", numRate)
					End If
				Next
			Next
		end if
		Set objNodeList = nothing
	
	else
		'Get error message
		strError = objMainXML.selectSingleNode("//CactuShopCurrencyRates/Response/Msg").Text
	end if

else
	strError = objMainXML.parseError.reason
end if

Set objMainXML = nothing

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
<tr>
    <td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
    <td valign="top">
    <form action="_update_currency.asp" method="post" id="frmUpdateCurrency">
    <%= objCactuSession.Form %>
    <input type="hidden" name="ratesonly" value="y" />
    <table border="0" cellpadding="5" cellspacing="0" width="100%">
	<tr>
		<td colspan="3"><h1><% WriteString("PageTitle_LiveCurrencyRateUpdate") %></h1></td>
	</tr>
	<tr>
		<td colspan="3"><% WriteString("ContentText_LiveCurrencyRateText") %></td>
	</tr>
	
	<% if strError <> "" then %>
		<tr>
			<td colspan="3">Live currency request failed: <%= strError %> </td>
		</tr>
	<% else %>
		<tr>
			<td class="small bold dull"><% WriteString("ContentText_Currency") %></td>
			<td class="small bold dull"><% WriteString("ContentText_CurrentRate") %></td>
			<td class="small bold dull"><% WriteString("ContentText_NewRate") %></td>
		</tr>
		<% For i = 0 to numTotalCurrencies - 1
			If i > 0 then %>
				<tr>
					<td class="bold"><%= aryCurrencyData(i, 1) %></td>
					<td><%= aryCurrencyData(i, 3) %></td>
					<td><input type="text" size="6" name="exc<%= aryCurrencyData(i, 0) %>" value="<%= aryCurrencyData(i, 4) %>" /></td>
				</tr>
			<% end if
		Next %>
		<tr>
			<td colspan="3" align="right"><input type="submit" name="btnUpdate" id="update" value="<% WriteString("FormButton_Update") %>" /></td>
		</tr>
		<tr>
			<td colspan="3" class="small"><% WriteString("ContentText_CurrencyHash") %></td>
		</tr>
	<% end if %>
	</table></form></td>
</tr>
</table>
</body>
</html>
<%
Call EndPage()
%>
