<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "328, 400, 452, 474, 517, 525, 1373, 1460, 1463, 1464, 1465, 1466, 1467, 1468, 1471"
strThisBackPage = "config" %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/functions.asp"-->
<!--#include file="includes/back_security.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'MODIFY supplier					
'This allows you to edit a specific supplier record
'-----------------------------------------------
PAGE_ID = request.querystring("PAGE_ID")
Dim PAGE_Title(), PAGE_Text(), PAGE_MetaDescription(), PAGE_MetaKeywords()
Redim PAGE_Title(numTotalLanguages)
Redim PAGE_Text(numTotalLanguages)
Redim PAGE_MetaDescription(numTotalLanguages)
Redim PAGE_MetaKeywords(numTotalLanguages)


'If one was passed...
if PAGE_ID <> "" then
	'... then we are editing
	strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Pages WHERE PAGE_ID = '" & sqlsafe(PAGE_ID) & "'"
	Call ExecuteRS(strQuery, objRecordSet)
	
	'If the record wasn't found...
	if objRecordSet.bof and objRecordSet.eof then
		'...then we add a new one...
		PAGE_ID = ""
	else
		'... else grab the record details and put them in variables
		PAGE_Live = objRecordSet("PAGE_Live")
		For numCount = 1 to numTotalLanguages	
			If aryLangLiveBack(numCount) = "y" then
				PAGE_Title(numCount) = WriteSafe(objRecordSet("PAGE_Title" & CStr(numCount)))
				PAGE_Text(numCount) = objRecordSet("PAGE_Text" & CStr(numCount))
				PAGE_MetaDescription(numCount) = WriteSafe(objRecordSet("PAGE_MetaDescription" & CStr(numCount)))
				PAGE_MetaKeywords(numCount) = WriteSafe(objRecordSet("PAGE_MetaKeywords" & CStr(numCount)))
			end if
		Next
	end if
	objRecordSet.Close
	
else
	PAGE_ID = ""
end if
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<link rel="Bookmark" href="favicon.ico" />
		<link rel="SHORTCUT ICON" href="favicon.ico" />
		<link href="includes/backend.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<link href="includes/adminbar.css" rel="stylesheet" title="cactusoft" type="text/css" />
		<meta name="GENERATOR" content="www.cactusoft.com" />
		<!--
		===============================================================================
		CACTUSHOP v6.1 ASP SHOPPING CART
		1999-2007 CACTUSOFT INTERNATIONAL FZ-LLC. - WWW.CACTUSHOP.COM
		All rights reserved.
		===============================================================================
		-->
		<title><% =GetString("Config_headtitle") %></title>
	</head>
<body bgcolor="#FFFFFF" LEFTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">

<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
	<td colspan="2"><!--#include file="includes/back_header.asp"--></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="660">
	<tr>
		<td valign="top" width="190"><!--#include file="includes/back_menu.asp"--></td>
		<td valign="top">
			<form action="_update_page.asp" method="POST" id="frmEditPage">
				<%= objCactuSession.Form %>
				<input type="hidden" name="strOldPageID" value="<%= WriteSafe(PAGE_ID) %>" />
				<table border="0" cellpadding="5" cellspacing="0" width="100%">
					<tr>
						<td colspan="2"><h1><% WriteString("PageTitle_EditPage") %></h1></td>
					</tr>

					<tr>
						<td class="bold"><% WriteString("FormLabel_ShowOnSite") %></td>
						<td><input <% If PAGE_Live = "y" Or PAGE_Live = "" Then %>checked="checked" <% End If %>type="checkbox" name="PAGE_Live" value="y" /></td>
					</tr>					
					<tr>
						<td width="120" valign="top"><% WriteString("FormLabel_PageID") %></td>
						<td><input type="text" size="10" name="PAGE_ID" value="<%= PAGE_ID %>"><br /><span class="small"><% WriteString("ContentText_PageIDMustBeUnique") %></span></td>
					</tr>
					
					<% For numCount = 1 to numTotalLanguages
					If aryLangLiveBack(numCount) = "y" then 
						if numCount = 1 then %>
							<tr>
								<td colspan="2"><hr /></td>
							</tr>
						<% end if
						
						if numTotalLanguages > 1 then 
							%>
							<tr>
								<td class="bold" colspan="2"><%= aryLangBackNames(numCount) %></td>
							</tr>
						<% end if %>
						<tr>
							<td width="120"><% WriteString("FormLabel_PageTitle") %></td>
							<td><input type="text" size="30" name="PAGE_title<%=numCount%>" value="<%= PAGE_Title(numCount) %>"></td>
						</tr>	
						<tr>
							<td width="120"><% WriteString("FormLabel_PageMetaDescription") %></td>
							<td><input type="text" size="50" name="PAGE_MetaDescription<%=numCount%>" value="<%= PAGE_MetaDescription(numCount) %>"						></td>
						</tr>				
						
					<tr>
						<td width="120"><% WriteString("FormLabel_PageMetaKeywords") %></td>
						<td><input type="text" size="50" name="PAGE_MetaKeywords<%=numCount%>" value="<%= PAGE_MetaKeywords(numCount) %>"></td>
					</tr>				
					<tr>
						<td colspan="2"><% WriteString("FormLabel_PageText") %></td>
					</tr>			
					<tr>
						<td colspan="2"><textarea style="width: 100%" cols="52" rows="30" name="PAGE_Text<%=numCount%>"><%= PAGE_Text(numCount) %></textarea></td>
					</tr>
					

					<% end if
next %>
					<tr>
						<td colspan="2" class="small"><% WriteString("ContentText_PageTextDesc") %></td>
					</tr>
					<tr>
						<td colspan="2" align="right"><input type="submit" name="btnUpdate" id="update" value="<% WriteString("FormButton_Update") %>" /></td>
					</tr>
				</table>
			</form>
		
		<% if PAGE_ID <> "" then 
		
			'Show Delete Form %>
			<hr />
			<form action="_update_page_delete.asp" name="deleteform" method="get">
				<%= objCactuSession.Form %>
				<input type="hidden" name="PAGE_ID" value="<%= WriteSafe(PAGE_ID) %>" />
				<table border="0" cellpadding="5" cellspacing="0" width="100%">
						<tr bgcolor="#EEEEEE">
							<td align="right" width="70"><input type="submit" name="btnDelete" id="delete" value="<% WriteString("FormButton_Delete") %>" /></td>
							<td class="bold"><% WriteString("ContentText_DeleteThisEntry") %></td>
						</tr>
				</table>
			</form>
			
		<% end if %>
		</td>
	</tr>
	</table>
</body>
</html>
<%
Call EndPage()
%>
