<%@ LANGUAGE="VBSCRIPT" %>
<% PageStrings = "33, 60, 145, 650, 653, 654, 655, 656, 657, 658, 659, 660, 661, 662, 682, 695, 699, 1040, 1041, 1042, 1043, 1044, 1080, 1631, 1632, 1747, 1748, 1749, 1753, 1754, 1816" 
blnDateStrings = true %>
<!--#include file="includes/config.asp"-->
<!--#include file="includes/lockshop.asp"-->
<!--#include file="includes/initialize.asp"-->
<!--#include file="includes/functions.asp"-->
<% blnMustBeLoggedIn = true %>
<!--#include file="includes/customer_security.asp"-->
<!--#include file="includes/buildpage.asp"-->
<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'-----------------------------------------------
'AFFILIATE LOOKUP
'Show affiliate info
'-----------------------------------------------
ReDim aryStatData(12, 3)

'-----------------------------------------------
'READ PAGE TEMPLATE FROM FILE					
'-----------------------------------------------
Call ReadFromTemplate(strTemplateLocation, aryPageTemplate)

strAppAffiliateCommissionOnlyOnPaid = GetAppVar("affiliatecommissiononlyonpaid")
If strAppAffiliateCommissionOnlyOnPaid = "y" then strSQLPaid = " AND tblCactuShop" & TABLE_PREFIX & "Orders.O_Paid = 'y'"

strCallMode = ListSafe(request.QueryString("strCallMode"), "monthly,balance,apply", "")

'-----------------------------------------------
'WRITE FIRST HALF OF PAGE HTML					
'-----------------------------------------------
Response.Write(aryPageTemplate(0))
%>
<h1><% WriteString("PageTitle_Affiliates") %></h1>
<div class="affiliatestats">
	<p><a href="customer_affiliates.asp?strCallMode=balance&amp;<%= objCactuSession.QS %>"><% WriteString("ContentText_ViewAccountBalance") %></a></p>

<% Select Case strCallMode

	Case "monthly"

		'Check for valid month & year
		numMonth = NumSafe(Request.QueryString("numMonth"))
		numYear = NumSafe(Request.QueryString("numYear"))

		If numMonth = 0 Or numYear = 0 Then
			numMonth = Month(NowOffset)
			numYear = Year(NowOffset)
		ElseIf DateDiff("m", numYear & "/" & numMonth & "/1", Year(NowOffset) & "/" & Month(NowOffset) & "/1") < 0 Or DateDiff("m", numYear & "/" & numMonth & "/1", DateAdd("m", -11, Year(NowOffset) & "/" & Month(NowOffset) & "/1")) > 0 Then
			numMonth = Month(NowOffset)
			numYear = Year(NowOffset)
		End If
		
		'Get total orders
		strQuery = "SELECT SUM(ROUND(O_AffiliateTotalPrice,2)) AS OrderTotal, SUM(ROUND(O_AffiliateTotalPrice * (O_AffiliatePercentage/100) + 0.00000001 ,2)) AS Commission FROM (tblCactuShop" & TABLE_PREFIX & "Customers INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "Customers.C_ID = tblCactuShop" & TABLE_PREFIX & "Orders.O_CustomerID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers AS tblCactuShop" & TABLE_PREFIX & "Customers_1 ON tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID = tblCactuShop" & TABLE_PREFIX & "Customers_1.C_ID WHERE tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID = " & DB_C_ID & " AND tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage > 0 AND YEAR(tblCactuShop" & TABLE_PREFIX & "Orders.O_Date) = " & numYear & " AND MONTH(tblCactuShop" & TABLE_PREFIX & "Orders.O_Date) = " & numMonth & " AND O_Sent = 'y'" & strSQLPaid
		Call ExecuteRS(strQuery, objRecordSet)
		
		If objRecordSet.RecordCount = 0 Then
			numTotalPrice = 0
			numTotalCommission = 0
		Else
			numTotalPrice = objRecordSet(0)
			numTotalCommission = objRecordSet(1)
			If IsNull(numTotalPrice) Then numTotalPrice = 0
			If IsNull(numTotalCommission) Then numTotalCommission = 0
		End If
		objRecordSet.Close
		
		'Get total clickthroughs
		strQuery = "SELECT Count(AFLG_ID) AS Clicks FROM tblCactuShop" & TABLE_PREFIX & "AffiliateLog INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers ON tblCactuShop" & TABLE_PREFIX & "AffiliateLog.AFLG_AffiliateID = tblCactuShop" & TABLE_PREFIX & "Customers.C_ID WHERE C_ID = " & DB_C_ID & " AND Month(AFLG_DateTime) = " & numMonth & " AND YEAR(AFLG_DateTime) = " & numYear
		Call ExecuteRS(strQuery, objRecordSet)
		If objRecordSet.RecordCount = 0 Then 
			numClicks = 0 
		Else 
			numClicks = objRecordSet(0)
		End If
		objRecordSet.Close
 		%>

		<h2><% WriteString("ContentText_Commission") %></h2>
		<div class="affiliatestats">
			<p><strong><% =FormatDate(numYear & "/" & numMonth & "/01", "[mn] [yyyy]") %></strong></p>
		
			<div class="affiliatestatstable affiliatesalesdetailtable"><table summary="<% WriteSafeString("ContentText_AffiliateStatsMonthlyTable") %>">
				<thead>
					<tr class="header">
						<th></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="stat"><% WriteString("ContentText_TotalOrderValue") %></td>
						<td class="value"><%= objCurrency.Display(numTotalPrice, true, false) %></td>
					</tr>
					<tr>
						<td class="stat"><% WriteString("ContentText_CommissionDueThisMonth") %></td>
						<td class="value"><% =objCurrency.Display(numTotalCommission, true, false) %></td>
					</tr>
					<tr>
						<td class="stat"><% WriteString("ContentText_TotalNumberOfHits") %></td>
						<td class="value"><%= numClicks %></td>
					</tr>
				</tbody>
			</table></div>
			
			<h2><% WriteString("ContentText_RawDataSales") %></h2>
			
			<div class="affiliatestatstable affiliaterawdatatable">
			<table summary="<% WriteSafeString("ContentText_RawAffiliateStatsTable") %>">
				<thead>
					<tr class="header">
						<th class="count"></th>
						<th class="date"><% WriteString("ContentText_DateTime") %></th>
						<th class="value"><% =GetString("ContentText_Value") & " (" & objCurrency.Symbol & ")" %></th>
						<th class="commission"><% WriteString("ContentText_Commission") %></th>
						<th class="total"><% =GetString("ContentText_Total") & " (" & objCurrency.Symbol & ")" %></th>
						<th class="paid"><% WriteString("ContentText_Paid") %></th>
					</tr>
				</thead>
				<tbody><%
					'---------------------------------------
					'GET RAW DATA FROM AffiliateLog 					
					'---------------------------------------
					strQuery = "SELECT SUM(ROUND(O_AffiliateTotalPrice,2)) AS OrderTotal, SUM(ROUND(O_AffiliateTotalPrice * (O_AffiliatePercentage/100) + 0.00000001 ,2)) AS Commission, tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage, tblCactuShop" & TABLE_PREFIX & "Orders.O_Date, tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePaymentID FROM (tblCactuShop" & TABLE_PREFIX & "Customers INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "Customers.C_ID = tblCactuShop" & TABLE_PREFIX & "Orders.O_CustomerID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers AS tblCactuShop" & TABLE_PREFIX & "Customers_1 ON tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID = tblCactuShop" & TABLE_PREFIX & "Customers_1.C_ID WHERE tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID = " & DB_C_ID & " AND tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage > 0 AND YEAR(tblCactuShop" & TABLE_PREFIX & "Orders.O_Date) = " & numYear & " AND MONTH(tblCactuShop" & TABLE_PREFIX & "Orders.O_Date) = " & numMonth & " AND O_Sent = 'y'" & strSQLPaid & " GROUP BY tblCactuShop" & TABLE_PREFIX & "Orders.O_ID, tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage, tblCactuShop" & TABLE_PREFIX & "Orders.O_Date, tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePaymentID ORDER BY tblCactuShop" & TABLE_PREFIX & "Orders.O_ID ASC"
					Call ExecuteRS(strQuery, objRecordSet)
		
					'Loop through database records
					numCount = 0
					Do Until objRecordSet.EOF
						numCount = numCount + 1 %>
						<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
							<td class="count"><% =numCount %></td>
							<td class="date"><%= FormatDate(objRecordSet(3), strDateAndTimeFormat) %></td>
							<td class="value"><% =objCurrency.Display(objRecordSet(0), true, false) %></td>
							<td class="commission"><% =objRecordSet(2) %>%</td>
							<td class="total"><% =objCurrency.Display(objRecordSet(1), true, false) %></td>
							<td class="paid"><img src="<% = strTemplateImagesFolder %>tick<%= IIf(objRecordSet(4) = 0, "_empty", "") %>.gif" alt="" /></td>
						</tr><%
						
						'Move to next record
						objRecordSet.movenext
					Loop
					objRecordSet.close %>
				</tbody>
			</table>
			</div></div>
			
			<p><a href="javascript:history.back()">&#171; <% WriteString("ContentText_GoBack") %></a></p>

	<% Case "apply" %>

		<%
		'---------------------------------------
		'TAG ACCOUNT AS AFFILIATE
		'---------------------------------------
		strQuery = "UPDATE tblCactuShop" & TABLE_PREFIX & "Customers SET C_IsAffiliate = 'y' WHERE C_ID = " & NumSafe(DB_C_ID)
		Call ExecuteNonQuery(strQuery) 
		
		'-----------------------------------------------
		'SEND MAIL TO STORE OWNER INFORMING THEM THAT
		'A NEW AFFILIATE HAS SIGNED UP					
		'-----------------------------------------------
		strBodyText = GetString("EmailText_NewAffiliate")
		strBodyText = Replace(strBodyText, "<customerid>", DB_C_ID)
		strBodyText = Replace(strBodyText, "<customername>", DB_C_CardHolderName & "")
		strBodyText = Replace(strBodyText, "<customeremail>", DB_C_EmailAddress & "")
		Call SendEMail(Application(LICENSENUMBER & "emailmethod"),Application(LICENSENUMBER & "mailserver"),strEmailTo,"","",strEmailFrom,strEmailFrom,strEmailFrom,strEmailFrom,GetString("PageTitle_NewAffiliate"),strBodyText,"",false) %>
		<p><% WriteString("ContentText_AffiliateApplicationDetail") %></p>

		<p><a href="customer_home.asp?<%= objCactuSession.QS %>">&#171; <% WriteString("ContentText_GoBack") %></a></p>

	<% Case "balance" %>

		<h2><% WriteString("ContentText_PaymentsMade") %></h2>
		<p><% WriteString("ContentText_PaymentsMadeText") %></p>
		
		<div class="affiliatestatstable affiliatepaymentstable"><table summary="<% WriteSafeString("ContentText_AffiliatePaymentsTable") %>">
			<thead>
				<tr class="header">
					<th class="count"></th>
					<th class="date"><% WriteString("ContentText_DateTime") %></th>
					<th class="payment"><% WriteString("ContentText_Payment") %></th>
				</tr>
			</thead>
			<tbody><%
				'---------------------------------------
				'GET PAYMENTS
				'---------------------------------------
				strQuery = "SELECT AFP_ID, AFP_DateTime, COUNT(O_ID) AS TotalOrders, SUM(ROUND(O_AffiliateTotalPrice * (O_AffiliatePercentage/100) + 0.00000001 ,2)) AS TotalPayment FROM (tblCactuShop" & TABLE_PREFIX & "Orders INNER JOIN tblCactuShop" & TABLE_PREFIX & "AffiliatePayments ON tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePaymentID = tblCactuShop" & TABLE_PREFIX & "AffiliatePayments.AFP_ID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers ON tblCactuShop" & TABLE_PREFIX & "AffiliatePayments.AFP_AffiliateID = tblCactuShop" & TABLE_PREFIX & "Customers.C_ID WHERE C_ID = " & DB_C_ID & " AND O_Sent = 'y'" & strSQLPaid & " GROUP BY AFP_ID, AFP_DateTime"
				Call ExecuteRS(strQuery, objRecordSet)
	
				'-----------------------------------------------
				'CYCLE THROUGH DATA					
				'-----------------------------------------------
				numCount = 0
				Do Until objRecordSet.EOF
					numTotalValue = numTotalValue + objRecordSet("TotalPayment") %>
					<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
						<td class="count"><% =numCount + 1 %></td>
						<td class="date"><% =FormatDate(objRecordSet("AFP_DateTime"), strDateAndTimeFormat) %></td>
						<td class="payment"><% =objCurrency.Display(objRecordSet("TotalPayment"), true, false) %></td>
					</tr><%
					objRecordSet.movenext
					numCount = numCount + 1
				Loop
				objRecordSet.Close 
				
				'Totals %>
				<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
					<td colspan="2"></td>
					<td class="payment paymenttotal"><% =objCurrency.Display(numTotalValue, true, false) %></td>
				</tr>				
			</tbody>
		</table></div>
	
		<h2><% WriteString("ContentText_UnpaidSales") %></h2>
		<p><% WriteString("ContentText_UnpaidSalesText") %></p>
		
		<div class="affiliatestatstable affiliateunpaidtable"><table summary="<% WriteSafeString("ContentText_AffiliateUnpaidTable") %>">
			<thead>
				<tr class="header">
					<th class="count"></th>
					<th class="date"><% WriteString("ContentText_DateTime") %></th>
					<th class="commission"><% WriteString("ContentText_Commission") %></th>
				</tr>
			</thead>
			<tbody><%
				'---------------------------------------
				'GET PAYMENTS
				'---------------------------------------
				strQuery = "SELECT SUM(ROUND(O_AffiliateTotalPrice * (O_AffiliatePercentage/100) + 0.00000001 ,2)) AS Commission, tblCactuShop" & TABLE_PREFIX & "Orders.O_ID, tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage, tblCactuShop" & TABLE_PREFIX & "Orders.O_Date, tblCactuShop" & TABLE_PREFIX & "Customers.C_ID, tblCactuShop" & TABLE_PREFIX & "Customers.C_EmailAddress, tblCactuShop" & TABLE_PREFIX & "Customers.C_CardholderName FROM (tblCactuShop" & TABLE_PREFIX & "Customers AS tblCactuShop" & TABLE_PREFIX & "Customers_1 INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers ON tblCactuShop" & TABLE_PREFIX & "Customers_1.C_ID = tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "Orders.O_CustomerID = tblCactuShop" & TABLE_PREFIX & "Customers.C_ID WHERE tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID = " & DB_C_ID & " AND O_Sent = 'y' AND tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage > 0 AND tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePaymentID = 0" & strSQLPaid & " GROUP BY tblCactuShop" & TABLE_PREFIX & "Orders.O_ID, tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage, tblCactuShop" & TABLE_PREFIX & "Orders.O_Date, tblCactuShop" & TABLE_PREFIX & "Customers.C_ID, tblCactuShop" & TABLE_PREFIX & "Customers.C_EmailAddress, tblCactuShop" & TABLE_PREFIX & "Customers.C_CardholderName ORDER BY tblCactuShop" & TABLE_PREFIX & "Orders.O_ID ASC"
				Call ExecuteRS(strQuery, objRecordSet)
	
				'-----------------------------------------------
				'CYCLE THROUGH DATA					
				'-----------------------------------------------
				numCount = 0
				numTotalValue = 0
				Do Until objRecordSet.EOF
					numTotalValue = numTotalValue + objRecordSet("Commission") %>
					<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
						<td class="count"><%= numCount + 1 %></td>
						<td class="date"><%= FormatDate(objRecordSet("O_Date"), strDateAndTimeFormat) %></td>
						<td class="payment"><%= objCurrency.Display(objRecordSet("Commission"), true, false) & " (" & objRecordSet("O_AffiliatePercentage") & "%)" %></td>
					</tr><%
					objRecordSet.movenext
					numCount = numCount + 1
				Loop
				objRecordSet.Close
				%>
				<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
					<td colspan="2"></td>
					<td class="payment paymenttotal"><%= objCurrency.Display(numTotalValue, true, false) %></td>
				</tr>
			</tbody>
		</table></div>
	
		<p><a href="javascript:history.back()">&#171; <% WriteString("ContentText_GoBack") %></a></p>

	<% Case Else %>

		<h2><% WriteString("ContentText_RawDataSales") %></h2>
	
		<%
		'***********************************************
		'SALES BY MONTH
		'***********************************************
		'-----------------------------------------------
		'PULL OUT THE DATA
		'And the store the information in a multiarray
		'-----------------------------------------------
		'Set up variables
		numCount = 1
		numMaxValue = 0
		numTotalAmount = 0
		datYearAgo = DateAdd("m", -11, Year(NowOffset) & "/" & Month(NowOffset) & "/1")
		datMonthYear = Year(NowOffset) & "/" & Month(NowOffset) & "/1"
	
		'Pull out sum of sales, grouped by monthed
		strQuery = "SELECT SUM(ROUND(O_AffiliateTotalPrice + 0.00000001,2)) AS OrderAmount, YEAR(O_Date) AS TheYear, MONTH(O_Date) AS TheMonth FROM (tblCactuShop" & TABLE_PREFIX & "Customers INNER JOIN tblCactuShop" & TABLE_PREFIX & "Orders ON tblCactuShop" & TABLE_PREFIX & "Customers.C_ID = tblCactuShop" & TABLE_PREFIX & "Orders.O_CustomerID) INNER JOIN tblCactuShop" & TABLE_PREFIX & "Customers AS tblCactuShop" & TABLE_PREFIX & "Customers_1 ON tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID = tblCactuShop" & TABLE_PREFIX & "Customers_1.C_ID WHERE tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID = " & NumSafe(DB_C_ID) & " AND tblCactuShop" & TABLE_PREFIX & "Orders.O_AffiliatePercentage > 0 AND O_Sent = 'y'" & strSQLPaid & " GROUP BY tblCactuShop" & TABLE_PREFIX & "Customers.C_AffiliateID, Year(O_Date), Month(O_Date), O_Sent ORDER BY Year(O_Date) DESC, Month(O_Date) DESC"
	
		Call ExecuteRS(strQuery, objRecordSet)
	
		'Loop through the data, putting the info into an array
		Do Until datMonthYear < datYearAgo
			If objRecordSet.EOF Then
				'If the recordset has run out, the rest of the stats are 0
				aryStatData(numCount, 0) = 0
				aryStatData(numCount, 1) = Year(datMonthYear)
				aryStatData(numCount, 2) = Month(datMonthYear)
				
			ElseIf NumSafe(objRecordSet(1)) = Year(datMonthYear) And NumSafe(objRecordSet(2)) = Month(datMonthYear) Then
				'We're on the correct year and month, so store the data
				'and move on to the next record
				aryStatData(numCount, 0) = Round(objRecordSet(0), 2)
				aryStatData(numCount, 1) = NumSafe(objRecordSet(1))
				aryStatData(numCount, 2) = NumSafe(objRecordSet(2))
				objRecordSet.MoveNext
				
			Else
				'We have nothing for this month. Store 0. Don't move
				'on to the next record.
				aryStatData(numCount, 0) = 0
				aryStatData(numCount, 1) = Year(datMonthYear)
				aryStatData(numCount, 2) = Month(datMonthYear)
				
			End If
			
			'Keep a run of the maximum value for the bar graph and
			'the total for the stat at the bottom
			If aryStatData(numCount, 0) > numMaxValue Then numMaxValue = aryStatData(numCount, 0)
			numTotalAmount = numTotalAmount + aryStatData(numCount, 0)
			
			'Go back a year and move on
			datMonthYear = DateAdd("m", -1, datMonthYear)
			aryStatData(numCount, 3) = FormatDate(aryStatData(numCount, 1) & "/" & aryStatData(numCount, 2) & "/01", "[mn] [yyyy]")
			numCount = numCount + 1
		Loop
		objRecordSet.Close	
		%>
		
		<div class="affiliatestatstable affiliatesalestable"><table summary="<% WriteSafeString("ContentText_AffiliateStatsTable") %>">
			<thead>
				<tr class="header">
					<th class="graph"><% WriteString("ContentText_ShareOfSales") %></th>
					<th class="total"><% WriteString("ContentText_Total") %></th>
					<th class="month"><% WriteString("ContentText_Month") %></th>
				</tr>
			</thead>
			<tbody><%
				'-----------------------------------------------
				'DISPLAY THE DATA
				'-----------------------------------------------
				For numCount = 1 To 12
					'Set background and bar graph settings
					strBgClass = IIf(numCount mod 2 = 0, "main_line_1", "main_line_2")
					If numMaxValue = 0 Then 
						numDisplayWidth = 0
					Else
						numDisplayWidth = Int((aryStatData(numCount, 0) / numMaxValue) * 100)
					End If
					If numDisplayWidth = 0 Then numDisplayWidth = 1
					
					'Display the month row
					%>
					<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
						<td class="graph"><img src="<%= strTemplateImagesFolder %>graphblack.gif" width="1" height="10" alt="" /><img src="<%= strTemplateImagesFolder %>graphyellow.gif" width="<%= numDisplayWidth %>" height="10" alt="" /><img src="<%= strTemplateImagesFolder %>graphblack.gif" width="<%= 102 - numDisplayWidth %>" height="10" alt="" /></td>
						<td class="total"><% =objCurrency.Display(aryStatData(numCount, 0), true, false) %></td>
						<td class="month"><a href="customer_affiliates.asp?strCallMode=monthly&amp;<%= objCactuSession.QS %>numMonth=<% = aryStatData(numCount, 2) %>&amp;numYear=<% = aryStatData(numCount, 1) %>"><% =aryStatData(numCount, 3) %></a></td>
					</tr>
					<%
				Next %>
			</tbody>
			<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
				<td class="graph"></td>
				<td class="total"><strong><% =objCurrency.Display(numTotalAmount, true, false) %></strong></td>
				<td class="month"><% WriteString("ContentText_Payments") %></td>
			</tr>
		</table></div>
		
		<%
		'***********************************************
		'HITS BY MONTH
		'Similar to the above, but hits, not sales. It
		'replies on the array already half-full with
		'date information from the above.
		'***********************************************			
		'-----------------------------------------------
		'PULL OUT THE DATA
		'And the store the information in a multiarray
		'-----------------------------------------------				
		numMaxValue = 0
		numTotalAmount = 0
		
		'Pull out hit count, grouped by month
		strQuery = "SELECT COUNT(tblCactuShop" & TABLE_PREFIX & "AffiliateLog.AFLG_ID) AS HitCount, YEAR(AFLG_DateTime) AS TheYear, MONTH(AFLG_DateTime) AS TheMonth FROM tblCactuShop" & TABLE_PREFIX & "Customers INNER JOIN tblCactuShop" & TABLE_PREFIX & "AffiliateLog ON tblCactuShop" & TABLE_PREFIX & "Customers.C_ID = tblCactuShop" & TABLE_PREFIX & "AffiliateLog.AFLG_AffiliateID WHERE tblCactuShop" & TABLE_PREFIX & "Customers.C_ID = " & NumSafe(DB_C_ID) & " GROUP BY Year(AFLG_DateTime), Month(AFLG_DateTime), tblCactuShop" & TABLE_PREFIX & "Customers.C_ID ORDER BY Year(AFLG_DateTime) DESC, Month(AFLG_DateTime) DESC"
		Call ExecuteRS(strQuery, objRecordSet)
		
		'Run through an put them in to the array
		For numCount = 1 To 12
			If objRecordSet.EOF Then
				aryStatData(numCount, 0) = 0
			ElseIf NumSafe(objRecordSet(1)) = aryStatData(numCount, 1) And NumSafe(objRecordSet(2)) = aryStatData(numCount, 2) Then
				aryStatData(numCount, 0) = Round(objRecordSet(0), 2)
				objRecordSet.MoveNext
			Else
				aryStatData(numCount, 0) = 0
			End If
			If aryStatData(numCount, 0) > numMaxValue Then numMaxValue = aryStatData(numCount, 0)
			numTotalAmount = numTotalAmount + aryStatData(numCount, 0)
			aryStatData(numCount, 3) = FormatDate(aryStatData(numCount, 1) & "/" & aryStatData(numCount, 2) & "/01", "[mn] [yyyy]")
		Next
		objRecordSet.Close
		%>
		
		<h2><% WriteString("ContentText_RawDataHits") %></h2>
		<div class="affiliatestatstable affiliatehitstable"><table summary="<% WriteSafeString("ContentText_AffiliateStatsTable") %>">
			<thead>
				<tr class="header">
					<th class="graph"><% WriteString("ContentText_ShareOfHits") %></th>
					<th class="total"><% WriteString("ContentText_Total") %></th>
					<th class="month"><% WriteString("ContentText_Month") %></th>
				</tr>
			</thead>
			<tbody><%
				'-----------------------------------------------
				'DISPLAY THE DATA
				'-----------------------------------------------
				For numCount = 1 To 12
					strBgClass = IIf(numCount mod 2 = 0, "main_line_1", "main_line_2")
					If numMaxValue = 0 Then
						numDisplayWidth = 0
					Else
						numDisplayWidth = Int((aryStatData(numCount, 0) / numMaxValue) * 100)
					End If
					If numDisplayWidth = 0 Then numDisplayWidth = 1 %>
					<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
						<td class="graph"><img src="<% =strTemplateImagesFolder %>graphblack.gif" width="1" height="10" alt="" /><img src="<% =strTemplateImagesFolder %>graphyellow.gif" width="<% =numDisplayWidth %>" height="10" alt="" /><img src="<%= strTemplateImagesFolder %>graphblack.gif" width="<% =102 - numDisplayWidth %>" height="10" alt="" /></td>
						<td class="total"><% =aryStatData(numCount, 0) %></td>
						<td class="month"><% =aryStatData(numCount, 3) %></td>
					</tr>
					<%
				Next %>
			</tbody>
			<tr<%= IIf(numCount mod 2 = 0, " class=""alt""", "") %>>
				<td class="graph"></td>
				<td class="total"><strong><% =numTotalAmount %></strong></td>
				<td class="month"></td>
			</tr>
		</table></div>

		<p><a href="javascript:history.back()">&#171; <% WriteString("ContentText_GoBack") %></a></p>
<% End Select %>
</div>
<%
'-----------------------------------------------
'WRITE LAST HALF OF PAGE HTML					
'-----------------------------------------------
response.write(aryPageTemplate(1))
Call EndPage()
%>
