<%
'===============================================
' CactuShop ASP Shopping Cart
' 1999-2007 Cactusoft International FZ-LLC
' www.cactusoft.com
'===============================================
' All rights reserved.							
' Use of this code is covered by the terms and	
' conditions in the license agreement. No		
' unauthorized duplication or distribution is	
' permitted. Cactusoft's copyright notices must	
' remain in the ASP sections of the code.		
'===============================================

'----------------------------------------------
'BACKEND PRODUCT DISPLAY
'Included on various product 'edit' pages, this
'checks the product ID and displays links to
'the product controls.
'----------------------------------------------
'Get IDs - unless the page has already done it
If P_ID = "" then
	P_ID = NumSafe(DualRequest("P_ID"))
	CAT_ID = NumSafe(DualRequest("CAT_ID"))
end if

'Pull out product information
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Products WHERE P_ID = " & P_ID
Call ExecuteRS(strQuery, objRecordSet2)
If objRecordSet2.BOF and objRecordSet2.EOF then
	P_ID = 0
else
	'Get product info
	strProductName = GetTranslation(objRecordSet2, "P_Name")
	strProductType = objRecordSet2("P_Type")
	strProductOrderVersionsBy = objRecordSet2("P_OrderVersionsBy")
end if
objRecordSet2.Close

'Pull out category information
strQuery = "SELECT * FROM tblCactuShop" & TABLE_PREFIX & "Categories WHERE CAT_ID = " & CAT_ID
Call ExecuteRS(strQuery, objRecordSet2)
If objRecordSet2.BOF and objRecordSet2.EOF then
	CAT_ID = 0
else
	strProdtypeName = GetTranslation(objRecordSet2, "CAT_Name")
end if
objRecordSet2.Close

'Get whether we've got versions, the the first ID
strQuery = "SELECT V_ID FROM tblCactuShop" & TABLE_PREFIX & "Versions WHERE V_ProductID = " & P_ID
Call ExecuteRS(strQuery, objRecordSet2)
If not (objRecordSet2.BOF and objRecordSet2.EOF) then
	numFirstVersionID = objRecordSet2("V_ID")
else
	numFirstVersionID = 0
end if
objRecordSet2.Close


'Set the querystring and hidden form fields. All pages that include
'this file should pass on these in a link or form that goes to another
'product page
strProductQS = "P_ID=" & P_ID & "&amp;CAT_ID=" & CAT_ID
strProductForm = "<input type=""hidden"" name=""P_ID"" value=""" & P_ID & """ />" & vbcrlf & "<input type=""hidden"" name=""CAT_ID"" value=""" & CAT_ID & """ />"



If P_ID > 0 then
	'Build up HTML for top display
	strProductHTML = strProductHTML & "<table width=""100%"" cellpadding=""5"" cellspacing=""0"" border=""0"">" & vbcrlf
	strProductHTML = strProductHTML & "	<tr>" & vbcrlf
	strProductHTML = strProductHTML & "		<td><h1>" & strProductName & "</h1>"
	strProductHTML = strProductHTML & "</td></tr>" & vbcrlf
	If CAT_ID > 0 then
		strProductHTML = strProductHTML & "	<tr><td class=""small""><a href=""_prodtype_back.asp?" & objCactuSession.QS & "" & strProductQS & """>" & GetString("ContentText_BackToLink") & " " & strProdtypeName & "</a></td></tr>" & vbcrlf
	end if
	
	strProductHTML = strProductHTML & "	<tr><td><table cellpadding=""5"" cellspacing=""0"" width=""100%"" border=""0""><tr>" & vbcrlf
	strProductHTML = strProductHTML & "		<td class=""small bold""><a href=""_modify_product.asp?" & objCactuSession.QS & "" & strProductQS & """>" & GetString("BackMenu_EditProduct") & "</a></td>" & vbcrlf
	
	'Link to versions differs depending on type
	Select Case strProductType
		Case "s"
			'Single version. If it exists, link to edit (if it doesn't exist, it'll be to add new)
			strProductHTML = strProductHTML & "		<td class=""small bold""><a href=""_modify_version.asp?" & objCactuSession.QS & "V_ID=" & numFirstVersionID & "&amp;" & strProductQS & """>" & GetString("PageTitle_EditVersion") & "</a></td>" & vbcrlf
		
		Case "o"
			'Link to combinations change page
			strProductHTML = strProductHTML & "		<td class=""small bold""><a href=""_combinations_set.asp?" & objCactuSession.QS & "" & strProductQS & """>" & GetString("ContentText_Options") & "</a></td>" & vbcrlf
			
		Case Else
			'Link to version list
			strProductHTML = strProductHTML & "		<td class=""small bold""><a href=""_version_list.asp?" & objCactuSession.QS & "" & strProductQS & """>" & GetString("BackMenu_Versions") & "</a></td>" & vbcrlf
	End Select						
			
	strProductHTML = strProductHTML & "		<td class=""small bold""><a href=""_review_list.asp?" & objCactuSession.QS & "" & strProductQS & """>" & GetString("PageTitle_Reviews") & "</a></td>" & vbcrlf
	If SOFTWARE_IS_PRO then
		strProductHTML = strProductHTML & "		<td class=""small bold""><a href=""_modify_attributevalues.asp?" & objCactuSession.QS & "" & strProductQS & """>" & GetString("ContentText_ProductAttributes") & "</a></td>" & vbcrlf
	End If
	strProductHTML = strProductHTML & "		<td class=""small bold""><a href=""_relatedprods_list.asp?" & objCactuSession.QS & "" & strProductQS & """>" & GetString("ContentText_RelatedProducts") & "</a></td>" & vbcrlf
	strProductHTML = strProductHTML & "	</tr></table></tr></td>" & vbcrlf
	strProductHTML = strProductHTML & "</table><hr />" & vbcrlf
end if
%>
